#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0x97a2a093, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0x127ed926, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0x2996a733, "");
SYMBOL_CRC(ipmi_get_smi_info, 0xd210dd4f, "");
SYMBOL_CRC(ipmi_destroy_user, 0xf388b18b, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0x06d4534c, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0xb4c4f373, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0xef748acf, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0xa3433016, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x56fafb75, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdae02a8f, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x8f73e03, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4104ff7, "platform_device_unregister" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa54700e3, "panic_notifier_list" },
	{ 0x26d1a899, "atomic_notifier_chain_unregister" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0x79005361, "driver_unregister" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x81953219, "driver_register" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8d706c76, "init_srcu_struct" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa9901c0, "atomic_notifier_chain_register" },
	{ 0x865e1898, "driver_find_device" },
	{ 0xcca3e748, "put_device" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x807c198d, "platform_device_register" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0xdc30c8e0, "_dev_info" },
	{ 0xdae5632c, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x87b610cd, "sysfs_remove_link" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14520f05, "__srcu_read_lock" },
	{ 0xeb17f0eb, "__srcu_read_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbc002942, "try_module_get" },
	{ 0x5af104d0, "synchronize_srcu" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0xc48efede, "finish_wait" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0xbca190a7, "device_create_file" },
	{ 0x789084c0, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x47c06181, "rt_spin_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe8c6089a, "platform_bus_type" },
	{ 0x955b215d, "param_ops_uint" },
	{ 0x22f6ae5c, "param_ops_ulong" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A772B10D8F1C4D580F041E4");
MODULE_INFO(rhelversion, "9.7");
