#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x64f78c98, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x85c8f64a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x967dfd20, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xf1e0c4cf, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xb765ae9e, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x855cb8b5, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x472c16e3, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x4cbe78b7, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x4bcae033, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xe3b73187, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x2bc7b928, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xdf03f9b8, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xf9e52e7f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x634c189d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x771645cb, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xc49ff573, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x25d9b828, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x756db085, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5808f6e, "ww_mutex_lock_interruptible" },
	{ 0x91bc2e32, "vmf_insert_pfn" },
	{ 0x494aef0b, "drm_gem_get_pages" },
	{ 0x6d96b857, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xd528335d, "invalidate_mapping_pages" },
	{ 0xda39565d, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x1d0d236e, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xf4cc0085, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x2effe77c, "drm_gem_create_mmap_offset" },
	{ 0x433a720c, "drm_gem_object_init" },
	{ 0x50bc4891, "dev_driver_string" },
	{ 0x6ff0ce33, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xf947759a, "drm_gem_vm_close" },
	{ 0xe834005a, "drm_gem_vm_open" },
	{ 0x8e982078, "down_write" },
	{ 0x51271f40, "up_write" },
	{ 0x9e96953f, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xdf87b24a, "ww_mutex_lock" },
	{ 0xcfdabc36, "vmap" },
	{ 0x34985406, "drm_gem_handle_create" },
	{ 0x164add61, "__drm_dev_dbg" },
	{ 0x92691acd, "drm_prime_pages_to_sg" },
	{ 0x53b683c6, "dma_buf_vunmap" },
	{ 0x86137a31, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x78e18985, "dma_map_sgtable" },
	{ 0x266d1079, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x32a30ca7, "dma_unmap_sg_attrs" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x9193a5ec, "drm_gem_put_pages" },
	{ 0xea34d277, "drm_gem_private_object_fini" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x59e9db72, "drm_prime_gem_destroy" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "A6CE38331A05B1B8CAE5812");
MODULE_INFO(rhelversion, "9.7");
