#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xfd08697f, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xb153137f, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x2188a53e, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xd4cf133d, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x43037782, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x645f5bf5, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x5802fa2f, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x19960dac, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xdab05631, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xd6d68e6b, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x335938af, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xc10ce3b8, "_gpl");
SYMBOL_CRC(dm_get_md, 0xad2119b1, "_gpl");
SYMBOL_CRC(dm_hold, 0x9ff15a77, "_gpl");
SYMBOL_CRC(dm_device_name, 0x328c7dea, "_gpl");
SYMBOL_CRC(dm_put, 0x87366d1c, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x8f316651, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x8f08676f, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x18bdc270, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xa4dc3806, "_gpl");
SYMBOL_CRC(dm_disk, 0xf3dd4799, "_gpl");
SYMBOL_CRC(dm_suspended, 0x3349ad67, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x70024fd3, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x883f5059, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xa16ba21a, "");
SYMBOL_CRC(dm_put_device, 0xaa65710a, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x443c8889, "_gpl");
SYMBOL_CRC(dm_table_event, 0x27075667, "");
SYMBOL_CRC(dm_table_get_size, 0x4b9088a1, "");
SYMBOL_CRC(dm_table_get_mode, 0xf3408ddc, "");
SYMBOL_CRC(dm_table_get_md, 0x385d9130, "");
SYMBOL_CRC(dm_table_device_name, 0x28739aaf, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xbefc312a, "");
SYMBOL_CRC(dm_register_target, 0x54921260, "");
SYMBOL_CRC(dm_unregister_target, 0x1a6fa2ee, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x8921c8e5, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x1e5d741e, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x9f49dd38, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xd1cdf6ee, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xf6588e51, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafb379b3, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xdcb7c9d4, "set_disk_ro" },
	{ 0x56f681aa, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbc002942, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd53d4bfd, "__init_rwsem" },
	{ 0xf627d123, "misc_deregister" },
	{ 0x7a3172af, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe392359c, "idr_find" },
	{ 0x955b215d, "param_ops_uint" },
	{ 0x22f6ae5c, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a8d8a4, "bio_split_to_limits" },
	{ 0x6352aa4b, "vmalloc_to_page" },
	{ 0x41601f79, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x7ce2a730, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc5d1dccf, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xc48efede, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x94c9afc8, "idr_replace" },
	{ 0x4cfbd175, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x3848711a, "mempool_init" },
	{ 0x9c15e74, "blk_rq_prep_clone" },
	{ 0xdcb28b1d, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x1c6604da, "prepare_to_wait" },
	{ 0xa91a0ca5, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x34d3a658, "__traceiter_block_bio_remap" },
	{ 0x4f728c88, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0x8bafa0d3, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x5af104d0, "synchronize_srcu" },
	{ 0x3d406c74, "kmem_cache_create" },
	{ 0x3f625f07, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8fba60ff, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x31dc28b7, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x5ca78859, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf674d148, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xb6edbc90, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x606381c4, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x795e51b4, "__traceiter_block_split" },
	{ 0x8075ba49, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x8e9018ab, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9d375965, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xd90eba63, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xe69142e, "kmalloc_node_trace" },
	{ 0xa62c3fef, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xd34acdc8, "__free_pages" },
	{ 0xc17b5aa6, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe8f7742e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x505d3f61, "submit_bio" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd0842d89, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xd9f40822, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x938915b2, "idr_remove" },
	{ 0x1778cbbf, "kobject_uevent_env" },
	{ 0xeab244af, "bio_put" },
	{ 0x944dd49d, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8d706c76, "init_srcu_struct" },
	{ 0x5d6968af, "fput" },
	{ 0x8e982078, "down_write" },
	{ 0xc528abd3, "blk_revalidate_disk_zones" },
	{ 0x51271f40, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8b6ef9b4, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x14520f05, "__srcu_read_lock" },
	{ 0x2ee44e3c, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5a2e77e, "set_capacity" },
	{ 0xcab57aed, "submit_bio_noacct" },
	{ 0x8a83a174, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x8e922e2c, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b9e87c8, "kmem_cache_free" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xef1b95ec, "bio_chain" },
	{ 0xb08acb99, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0xb781efde, "kobject_init_and_add" },
	{ 0xef095a34, "zero_fill_bio_iter" },
	{ 0x427afde8, "bio_add_page" },
	{ 0x9029dcf8, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xc05014e6, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x31714586, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdae02a8f, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x43cc10f1, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x6bba24b, "idr_destroy" },
	{ 0x48e1315e, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x685feda2, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x18a62baf, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50f83f2a, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x42277c59, "blk_insert_cloned_request" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xcd9fd00b, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3ddc5da1, "audit_log_start" },
	{ 0x30e4984e, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x70e511da, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x254572bf, "bio_uninit" },
	{ 0x369b76a4, "crypto_shash_final" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xe129c77d, "param_ops_bool" },
	{ 0x89d9177a, "bioset_init" },
	{ 0x19e917d0, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x71b63674, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3072950, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xeb17f0eb, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0x7ca764a8, "bd_link_disk_holder" },
	{ 0x114b2838, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0x3e9ebcea, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1b9ca2aa, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xfd81d544, "blk_zone_plug_bio" },
	{ 0x28aa3e5a, "param_ops_int" },
	{ 0x4eedee32, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xe5796b76, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xe94f89ba, "queue_limits_set" },
	{ 0x1d8aac32, "bio_alloc_bioset" },
	{ 0x124f2ba7, "up_read" },
	{ 0x2b1f6c0a, "blk_mq_requeue_request" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x47445ca3, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x46608580, "bdev_end_io_acct" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xd6a833f6, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x69b3b2d8, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8601bc1d, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "22646E38D4679DC418F26A9");
MODULE_INFO(rhelversion, "9.7");
