#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x2b355433, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x47e748ef, "_gpl");
SYMBOL_CRC(media_device_init, 0x02926296, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xa97ef4ea, "_gpl");
SYMBOL_CRC(__media_device_register, 0x6cd5e319, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x60cc73a1, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x523f7cbf, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x86cbb149, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xe7a018ae, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x7e4a07b0, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xce5a3fc7, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x9edcec14, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x96979a52, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x382bd0f1, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x4f960b63, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xbc36d092, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x9b6d1a49, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x066cc8ec, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xc094e2f8, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x88ce0a6b, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x66c14821, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x76ef61f8, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x74236e5c, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xbb4f973a, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x726a7e70, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x0181341b, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x4f9a4476, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x143027bc, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xd3b3596b, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xe7725022, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x95ab599f, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xb895c9e1, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x8201e499, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x5ae6df14, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xf94f6ed0, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x9627591b, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xa06b9b83, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x5e2e0394, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x0a2b6ce2, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x216fe2a6, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x71ef3955, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x6ba10842, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x5bf6bb6c, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x1e6384b3, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x061340ba, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xacdc9a4d, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xb36a236d, "_gpl");
SYMBOL_CRC(media_request_put, 0xd608341c, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x8ba9b14b, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x390a64e6, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xf19d4831, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x44047b7b, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xa19251c9, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xc1ca4ded, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xa40c1a6c, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x7e19dc83, "_gpl");
SYMBOL_CRC(media_device_delete, 0x95960d98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0xbc002942, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa4f8ccee, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0x472e756f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x70eeb8d6, "cdev_device_del" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7d93ea14, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc832ff27, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0xd27ad6bd, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0x91ad6058, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xcca3e748, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5400e09, "fwnode_graph_parse_endpoint" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbca190a7, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb083ee12, "bus_unregister" },
	{ 0x5d6968af, "fput" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x6f3bd942, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f73e03, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xe8c6089a, "platform_bus_type" },
	{ 0x6c1eb499, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x39083b8f, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdb5eee73, "pci_bus_type" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x789084c0, "device_remove_file" },
	{ 0x8a90bca8, "bus_register" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.7");
