#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xe518c89a, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xad79f688, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x4f208f9e, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xf6942e7e, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x52c12ef9, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x247a8c2f, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8038fe9a, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x9c739789, "xsk_tx_completed" },
	{ 0x4cfb19c9, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa35f7e1, "xp_alloc" },
	{ 0xd18e53e5, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea130a0d, "bpf_prog_put" },
	{ 0x409ed1ce, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcb815597, "xp_dma_map" },
	{ 0xef93c07e, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0x92c63650, "eth_mac_addr" },
	{ 0x4963fc27, "skb_put" },
	{ 0xb367dc7c, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb768fa89, "netdev_update_features" },
	{ 0xabc48046, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xda35ff1f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x380e77fc, "hrtimer_try_to_cancel" },
	{ 0xdc449d05, "bpf_warn_invalid_xdp_action" },
	{ 0x5e272742, "unregister_netdev" },
	{ 0xc55674e8, "xdp_convert_zc_to_xdp_frame" },
	{ 0xe6e60b8a, "xdp_features_set_redirect_target" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x319f4b13, "gpiod_set_value_cansleep" },
	{ 0xac554591, "dma_unmap_page_attrs" },
	{ 0x81c68562, "hrtimer_init" },
	{ 0x488f93ab, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x1bef8676, "ptp_clock_index" },
	{ 0x122e79f7, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x94279c13, "seq_lseek" },
	{ 0xa4d61415, "page_pool_destroy" },
	{ 0x4669cc59, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe227c9aa, "netdev_warn" },
	{ 0xbdee3f90, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xda7362e3, "flow_rule_match_ipv4_addrs" },
	{ 0xb5a5a33b, "xdp_rxq_info_unreg_mem_model" },
	{ 0x59a76baa, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x904fda0f, "netdev_err" },
	{ 0x4a227657, "phylink_limit_mac_speed" },
	{ 0x196ac967, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x50bc4891, "dev_driver_string" },
	{ 0xf9cb03a, "pinctrl_pm_select_default_state" },
	{ 0xfe359c83, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd3d3d335, "eth_type_trans" },
	{ 0x8bc9e3e9, "__pm_runtime_set_status" },
	{ 0x3759bd32, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf240a579, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x289bd0f, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xccbe73ad, "pm_wakeup_dev_event" },
	{ 0x969ce7bd, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa56b05f, "__napi_schedule" },
	{ 0x775527a8, "pm_runtime_enable" },
	{ 0x60398611, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x931dd197, "netif_device_detach" },
	{ 0x9c0dafa7, "device_property_read_u32_array" },
	{ 0xa2666c7f, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xf117fd27, "rt_write_unlock" },
	{ 0xdc30c8e0, "_dev_info" },
	{ 0xcc0d9c23, "xpcs_create_mdiodev" },
	{ 0x598b26e7, "napi_gro_receive" },
	{ 0x3d82e063, "netif_device_attach" },
	{ 0x3ac1c237, "xdp_features_clear_redirect_target" },
	{ 0xed3a053c, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xbe4fa305, "netdev_pick_tx" },
	{ 0xa6864888, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x623217ed, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x59c3416a, "xdp_rxq_info_is_reg" },
	{ 0xf3091de6, "devm_alloc_etherdev_mqs" },
	{ 0x9b6ccaa5, "flow_block_cb_setup_simple" },
	{ 0x5f9d916, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xdb20e524, "dev_open" },
	{ 0x3fe6d1f3, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0xad541ba7, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4fb1b102, "pinctrl_pm_select_sleep_state" },
	{ 0x42b27ae2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4f9db55e, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf0bbf29d, "ptp_clock_register" },
	{ 0x7a36aaef, "xsk_tx_peek_desc" },
	{ 0xa5d67012, "__of_mdiobus_register" },
	{ 0xe713bcf0, "__traceiter_xdp_exception" },
	{ 0x40c6db21, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x1396836b, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xb3fbe312, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x47304f3f, "dma_alloc_attrs" },
	{ 0x7fd5cbd7, "debugfs_remove" },
	{ 0x2f2eacce, "napi_enable" },
	{ 0xb77bc47e, "xsk_clear_rx_need_wakeup" },
	{ 0xe478b76c, "xpcs_get_interfaces" },
	{ 0xa97897e5, "xsk_uses_need_wakeup" },
	{ 0x8effb6f5, "register_netdev" },
	{ 0x58530c9b, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7515097a, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x22050f63, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2e58093d, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x68542c3f, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x740ab711, "netif_tx_wake_queue" },
	{ 0xd98c6429, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x91b9a6ae, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f73e03, "_dev_warn" },
	{ 0x705b5840, "flow_rule_match_ports" },
	{ 0x3faa37d5, "phylink_fwnode_phy_connect" },
	{ 0x402a21f2, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe826b69, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x11c3421d, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe9bfde97, "fwnode_get_named_child_node" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x950ea893, "ptp_clock_unregister" },
	{ 0x37ba3cfd, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x70f9e500, "xpcs_get_an_mode" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x73c31c30, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa104b8b5, "xdp_return_frame_rx_napi" },
	{ 0x4d47225c, "netdev_alert" },
	{ 0x82f601d, "dma_set_coherent_mask" },
	{ 0x15eea060, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf4d0febe, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x1fa16a4d, "rt_read_lock" },
	{ 0x159a2993, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa7d80138, "debugfs_create_file" },
	{ 0x9cf93e9a, "xsk_set_tx_need_wakeup" },
	{ 0xc562aff3, "dma_free_attrs" },
	{ 0x8e3eb432, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfe6b2f9c, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0fcbc86, "xp_set_rxq_info" },
	{ 0xf3c37fa2, "flow_rule_match_vlan" },
	{ 0x90076d2, "xdp_rxq_info_unreg" },
	{ 0x493e8482, "page_pool_alloc_pages" },
	{ 0x91f4a082, "__xdp_rxq_info_reg" },
	{ 0xd7a95c1c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbeeb7036, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ccea9d3, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xa6103c8c, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb24b1f71, "netif_carrier_on" },
	{ 0x537c96d6, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x30c335f2, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xdd135895, "xp_free" },
	{ 0xc4e70550, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa4460fcd, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x9a1b2205, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x16e595af, "xdp_master_redirect" },
	{ 0xad2cecd5, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xd54b213e, "napi_schedule_prep" },
	{ 0xded24687, "napi_disable" },
	{ 0xad83a312, "dev_kfree_skb_any_reason" },
	{ 0x7202e5ef, "eth_header_parse_protocol" },
	{ 0x28aa3e5a, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0xf9a23282, "single_open" },
	{ 0x830353f9, "__pm_runtime_disable" },
	{ 0xb8451ab6, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x307a88c4, "skb_clone_tx_timestamp" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x75fea18d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbc647090, "ethtool_op_get_ts_info" },
	{ 0x8b2a838a, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa69d2929, "__dev_fwnode" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x8c7de9f5, "netdev_info" },
	{ 0xb75132da, "page_pool_put_unrefed_page" },
	{ 0xde4f8c03, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "F45351FE0258CEE1E5D9C33");
MODULE_INFO(rhelversion, "9.7");
