#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xec1dbbaf, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x997c3706, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x2b79467b, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x6705a7fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb85e0681, "ether_setup" },
	{ 0xae3475ed, "__ethtool_get_link_ksettings" },
	{ 0x81a28879, "ethtool_get_ts_info_by_layer" },
	{ 0xea5e45d5, "init_net" },
	{ 0x2674a2ff, "generic_hwtstamp_set_lower" },
	{ 0xe7749c2a, "generic_hwtstamp_get_lower" },
	{ 0x618db401, "dev_mc_del" },
	{ 0xb1ad3cd7, "dev_uc_del" },
	{ 0xcb92ea77, "dev_mc_add_excl" },
	{ 0x5cbf7da5, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xef710ce7, "vlan_vid_del" },
	{ 0x1f7ca86a, "vlan_vid_add" },
	{ 0x2cfd6d84, "dev_set_allmulti" },
	{ 0x400ef262, "dev_set_promiscuity" },
	{ 0xc53206e4, "dev_uc_unsync" },
	{ 0xaa52518d, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xfe35ab9c, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x11f884a, "rtnl_link_unregister" },
	{ 0x4efabdd8, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb6c4fd56, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x273dc038, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x30fe127d, "dev_uc_add" },
	{ 0xcd90f3a1, "dev_set_mac_address" },
	{ 0x821f0003, "call_netdevice_notifiers" },
	{ 0xc0864d4a, "netif_inherit_tso_max" },
	{ 0xb768fa89, "netdev_update_features" },
	{ 0x7eaba034, "netif_stacked_transfer_operstate" },
	{ 0x3bdeb361, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5b057400, "unregister_netdevice_queue" },
	{ 0x3a48dede, "netdev_upper_dev_unlink" },
	{ 0x1cd20073, "dev_uc_sync" },
	{ 0x5c4c2196, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x31b3d301, "skb_clone" },
	{ 0x5a21b0e9, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xffa8a0ef, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xabc48046, "consume_skb" },
	{ 0x50bded4e, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xebaf08c0, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa1a242fa, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x79e4b3fd, "register_netdevice" },
	{ 0x199c1ee9, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x86023906, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x62d31aee, "__netif_rx" },
	{ 0xab7a9f54, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69db61ee, "netdev_core_stats_inc" },
	{ 0x38763c6, "__dev_queue_xmit" },
	{ 0x9cf560d6, "dev_forward_skb" },
	{ 0xd122f162, "passthru_features_check" },
	{ 0xfcec8d82, "eth_validate_addr" },
	{ 0x41cadf18, "ndo_dflt_fdb_dump" },
	{ 0x64f038b2, "eth_header_parse" },
	{ 0x4531cbba, "eth_header_cache" },
	{ 0xa35ab46c, "eth_header_cache_update" },
	{ 0x2e58093d, "ethtool_op_get_link" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.7");
