#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qmp_send, "", "");
KSYMTAB_FUNC(qmp_get, "", "");
KSYMTAB_FUNC(qmp_put, "", "");

SYMBOL_CRC(qmp_send, 0x9e2aa1df, "");
SYMBOL_CRC(qmp_get, 0xb37a74a8, "");
SYMBOL_CRC(qmp_put, 0x2333aed6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2cf5a302, "mbox_send_message" },
	{ 0xc3031652, "mbox_client_txdone" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xcca3e748, "put_device" },
	{ 0xfa535ff4, "__platform_driver_register" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x583f2352, "platform_driver_unregister" },
	{ 0x6aceec8b, "__of_parse_phandle_with_args" },
	{ 0x9745d42, "of_find_device_by_node" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{  0xa82f9, "of_clk_del_provider" },
	{ 0xa6423cad, "clk_hw_unregister" },
	{ 0x1a338d1e, "thermal_cooling_device_unregister" },
	{ 0xef8f971, "mbox_free_channel" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x2d569990, "__iowrite32_copy_full" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0xc48efede, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x39109b72, "devm_platform_ioremap_resource" },
	{ 0x7e91a69d, "mbox_request_channel" },
	{ 0x6005b6e0, "platform_get_irq" },
	{ 0x41373e77, "devm_request_threaded_irq" },
	{ 0x2c2378ce, "clk_hw_register" },
	{ 0x5ef3cfd9, "of_clk_hw_simple_get" },
	{ 0x74130748, "of_clk_add_hw_provider" },
	{ 0x3366add1, "of_get_next_available_child" },
	{ 0xcd1e0e6d, "of_find_property" },
	{ 0x2059192e, "devm_thermal_of_cooling_device_register" },
	{ 0x8d91a039, "devm_kfree" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,sc7180-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,aoss-qmpC*");

MODULE_INFO(srcversion, "3357B0EE3B54D46A87E7CCB");
MODULE_INFO(rhelversion, "9.7");
