#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x0340e87e, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xdd99a50c, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xe08203f5, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x819e9f4f, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x87bae011, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x4ac2ea67, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x4bc53dd6, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xf8664292, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x68062874, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x3d530cc6, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x3dbff1d2, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xf6473832, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xfa9fe848, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xfa39f982, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x16918440, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x11c385ea, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xfca577b4, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x7a71772b, "");
SYMBOL_CRC(vhost_chr_poll, 0x134c3d13, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xd831634f, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xc916c6b3, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xc65a9449, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xe19e3460, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x12d63ce7, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x90d33dbc, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x4b76d677, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x8082db33, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xe6ba6197, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xbf43f056, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x0ae35aaa, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x865ac0ba, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x99700cf3, "_gpl");
SYMBOL_CRC(vhost_signal, 0xfcc32b7a, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xa23c8ebe, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x4476b620, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x30b1edc8, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x27871dd7, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x5a571ed6, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x4958a6bf, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x10df04a5, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x11ac25ec, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x03798eff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x62664591, "add_wait_queue" },
	{ 0x7bf820c9, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x77990a34, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0x2d1a470e, "cgroup_attach_task_all" },
	{ 0x7b03e4df, "mmput" },
	{ 0x7690b6b3, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0xb6e82ed9, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4414b296, "unpin_user_pages_dirty_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcacf5aa, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x90e3bb7c, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x5d6968af, "fput" },
	{ 0xa131b181, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x1823a2e, "iov_iter_init" },
	{ 0x9c2ccd8d, "_copy_from_iter" },
	{ 0xd9a667e3, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x534d2bab, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1c6604da, "prepare_to_wait" },
	{ 0xc48efede, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27e22558, "get_task_mm" },
	{ 0xa0686ea1, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x7d13d85b, "iov_iter_advance" },
	{ 0xe001f676, "eventfd_fget" },
	{ 0x28aa3e5a, "param_ops_int" },
	{ 0xb7b5d6c4, "param_ops_ushort" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.7");
