#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xb2cf706b, "");
SYMBOL_CRC(w1_remove_master_device, 0x234cc059, "");
SYMBOL_CRC(w1_register_family, 0x582199b8, "");
SYMBOL_CRC(w1_unregister_family, 0x2ae1d312, "");
SYMBOL_CRC(w1_touch_bit, 0x5c81f392, "_gpl");
SYMBOL_CRC(w1_write_8, 0x2cef18e9, "_gpl");
SYMBOL_CRC(w1_triplet, 0xeb2c7405, "_gpl");
SYMBOL_CRC(w1_read_8, 0xa2941dbe, "_gpl");
SYMBOL_CRC(w1_write_block, 0x9e46bf8a, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xe452322a, "_gpl");
SYMBOL_CRC(w1_read_block, 0x40ae4acc, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x8596ecbf, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x32f75c40, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x7af63254, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x74388daf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x472e756f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x70d50126, "device_unregister" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x3204251c, "sysfs_remove_groups" },
	{ 0x6eb8f53e, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x77990a34, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcca3e748, "put_device" },
	{ 0xdc30c8e0, "_dev_info" },
	{ 0x9da299ee, "flush_signals" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb083ee12, "bus_unregister" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x30149109, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x79005361, "driver_unregister" },
	{ 0xafad1982, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa131b181, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x1077608e, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f73e03, "_dev_warn" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0xa0686ea1, "kthread_create_on_node" },
	{ 0xa0145576, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x8fb58032, "kobject_uevent" },
	{ 0xf06b9468, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x28aa3e5a, "param_ops_int" },
	{ 0xda6f7004, "of_find_matching_node_and_match" },
	{ 0x81953219, "driver_register" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8a90bca8, "bus_register" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7761A4473B5836B7F5AB3A");
MODULE_INFO(rhelversion, "9.7");
