#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xc988a900, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x84ab5236, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x07a9018f, "_gpl");
SYMBOL_CRC(fat_scan, 0x3aa9076a, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x26419d3d, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xb709f5ab, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x2ef54d73, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x9c52a3c7, "_gpl");
SYMBOL_CRC(fat_getattr, 0xbe8c7e65, "_gpl");
SYMBOL_CRC(fat_setattr, 0xe40a8518, "_gpl");
SYMBOL_CRC(fat_attach, 0xbf417916, "_gpl");
SYMBOL_CRC(fat_detach, 0x75c1a88d, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xff5e8c99, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x8213bd23, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x3c65e605, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x73b10fa4, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xff69143d, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x5ae8a7dd, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x977b58a4, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x58d881b2, "_gpl");
SYMBOL_CRC(fat_update_time, 0xb56b5447, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2bf0f39a, "filemap_fdatawrite" },
	{ 0x8dd6c157, "generic_fillattr" },
	{ 0x3bf23cde, "setattr_prepare" },
	{ 0x339f44c3, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd53d4bfd, "__init_rwsem" },
	{ 0x4fba67d5, "sync_blockdev_nowait" },
	{ 0x8f2c6d1b, "make_vfsgid" },
	{ 0x7a3172af, "blk_start_plug" },
	{ 0x51d2458d, "clear_inode" },
	{ 0x3e706722, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x5341511d, "generic_file_splice_read" },
	{ 0xb10a711d, "new_inode" },
	{ 0x2c3dbd42, "mark_buffer_dirty" },
	{ 0x31401ef3, "security_inode_setattr" },
	{ 0x40574fc6, "__find_get_block" },
	{ 0x60c1ef5e, "filemap_fdatawrite_range" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xf9934fb1, "inode_needs_sync" },
	{ 0xf8c891b6, "__blockdev_direct_IO" },
	{ 0xb7c5b588, "d_make_root" },
	{ 0x4f8ed67f, "__bforget" },
	{ 0x9ba2163b, "sb_set_blocksize" },
	{ 0xdf79bd6c, "block_truncate_page" },
	{ 0xdef0293a, "write_dirty_buffer" },
	{ 0x2e607575, "sync_filesystem" },
	{ 0x72f06e, "fsnotify" },
	{ 0x8beaf315, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x788540f9, "from_vfsuid" },
	{ 0x8baabc37, "inode_dio_wait" },
	{ 0x4c74cdb, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x10955e99, "cont_write_begin" },
	{ 0x313296d, "iput" },
	{ 0xc3851ffb, "iter_file_splice_write" },
	{ 0xec183b32, "generic_file_write_iter" },
	{ 0x3d406c74, "kmem_cache_create" },
	{ 0xf3dd9fe0, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4793f81a, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xbbf9c795, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x59f18033, "block_invalidate_folio" },
	{ 0xd9705a64, "__breadahead" },
	{ 0x53fd1dbc, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd603a2ed, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x85d42a26, "generic_cont_expand_simple" },
	{ 0x9a23e1d7, "make_kuid" },
	{ 0x48bff75a, "truncate_inode_pages_final" },
	{ 0x443a511d, "block_write_full_page" },
	{ 0x140247b7, "generic_file_mmap" },
	{ 0xac32739f, "sync_mapping_buffers" },
	{ 0x2d7a7e57, "ilookup" },
	{ 0xc17b5aa6, "kmem_cache_alloc" },
	{ 0x53243c9a, "invalidate_inode_buffers" },
	{ 0xe8f7742e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc69b08, "mnt_drop_write_file" },
	{ 0x2962b2b7, "inode_init_once" },
	{ 0xb16a4aa3, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xe245967b, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8e982078, "down_write" },
	{ 0x51271f40, "up_write" },
	{ 0x23dfeeee, "generic_file_read_iter" },
	{ 0x1ce2d093, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x41d0f9c5, "truncate_pagecache" },
	{ 0x4a94bc4f, "sync_dirty_buffer" },
	{ 0x423a9d90, "setattr_copy" },
	{ 0x3a403cbf, "__wait_on_buffer" },
	{ 0xb8c9d4a1, "set_nlink" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x4b9e87c8, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x21f388e5, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x63f1563c, "from_vfsgid" },
	{ 0x7e335db9, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdfed7022, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x55a8d133, "__bread_gfp" },
	{ 0xf4afd765, "block_dirty_folio" },
	{ 0x59d956a, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x419e5598, "__insert_inode_hash" },
	{ 0x945e87ea, "make_kgid" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xbf6b27c1, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcd9fd00b, "down_read" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0xf10f93b0, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcf0d220, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x69edf875, "igrab" },
	{ 0xa07f6542, "__getblk_gfp" },
	{ 0x908a4329, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xd853457e, "mpage_readahead" },
	{ 0x66add42f, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x3ccea9d3, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x9cd715fb, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xc5ae287a, "blkdev_issue_flush" },
	{ 0xc82231d2, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e161f1b, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x6c0a4fe7, "from_kuid_munged" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xc8baa0cd, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x939450ae, "kmem_cache_alloc_lru" },
	{ 0xc8aef310, "__mark_inode_dirty" },
	{ 0x5f4799f1, "generic_file_llseek" },
	{ 0x5f8eb86, "unload_nls" },
	{ 0x124f2ba7, "up_read" },
	{ 0xf48f4d91, "mark_buffer_dirty_inode" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x35d20e5f, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x69b3b2d8, "kmem_cache_destroy" },
	{ 0x4376bdef, "blkdev_issue_discard" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
