#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs4_sequence_done, 0xbe1c7d4b, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x938f4ccd, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x9f45395a, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x36a8730f, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x19544919, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x8de0c58d, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x4baccf13, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xe6f35c07, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x9dd3bd9c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6b3a829, "rpc_put_task" },
	{ 0xe7200197, "svc_generic_rpcbind_set" },
	{ 0x9fd04b09, "nfs_clone_server" },
	{ 0x18d8049b, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2bf0f39a, "filemap_fdatawrite" },
	{ 0x53461267, "nfs_show_stats" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x6375dc1d, "nfs_server_remove_lists" },
	{ 0x8740bb36, "generic_listxattr" },
	{ 0xe1f0d02f, "revert_creds" },
	{ 0x9fd1f8ec, "nfs_writeback_update_inode" },
	{ 0x51d2458d, "clear_inode" },
	{ 0xe73b5f45, "bpf_trace_run4" },
	{ 0xedb21ddd, "user_destroy" },
	{ 0xe392359c, "idr_find" },
	{ 0x955b215d, "param_ops_uint" },
	{ 0xa819c73c, "user_revoke" },
	{ 0x29f8d3c6, "d_exact_alias" },
	{ 0x389edf9d, "nfs_alloc_client" },
	{ 0x6d5a229d, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x634b5846, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1514c819, "xdr_write_pages" },
	{ 0x996d6c18, "rpc_shutdown_client" },
	{ 0x2e428d42, "svc_bind" },
	{ 0xbb6ef1c4, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x21b05a8e, "nfs_free_inode" },
	{ 0x17f31513, "nfs_access_zap_cache" },
	{ 0x310cd6f1, "nfs_sb_deactive" },
	{ 0x964ccbc9, "nfs_wb_all" },
	{ 0x5341511d, "generic_file_splice_read" },
	{ 0x18a49344, "__break_lease" },
	{ 0x68677cf5, "svc_recv" },
	{ 0x47036a84, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x37eecb1, "xdr_inline_decode" },
	{ 0x60bd5811, "trace_raw_output_prep" },
	{ 0xf51c135, "nfs_wait_client_init_complete" },
	{ 0xca9360b5, "rb_next" },
	{ 0x91e1ed6, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xa2a745bf, "nfs_mknod" },
	{ 0x766d7f3b, "nfs_inode_attach_open_context" },
	{ 0xc48efede, "finish_wait" },
	{ 0x8c7229a1, "rpc_localaddr" },
	{ 0x821a67dc, "rpc_wake_up" },
	{ 0xa6e9e5f9, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x94c9afc8, "idr_replace" },
	{ 0x7fc040b1, "nfs_lock" },
	{ 0xd3f5da7f, "unregister_key_type" },
	{ 0xe6075561, "nfs_client_init_is_complete" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf0429632, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x1c6604da, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x99f2b259, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xf3f5a3b9, "ihold" },
	{ 0x8f2366f8, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x53fdf1ad, "nfs_post_op_update_inode" },
	{ 0x751fdc3f, "svc_exit_thread" },
	{ 0x313296d, "iput" },
	{ 0x8f097378, "logfc" },
	{ 0xc3851ffb, "iter_file_splice_write" },
	{ 0x2dc62faa, "rpc_pton" },
	{ 0x5c85e678, "nfs_sb_active" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x30725f57, "rpc_wake_up_queued_task" },
	{ 0xb0f14de3, "bpf_trace_run2" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x88592296, "rpc_restart_call_prepare" },
	{ 0x2ca1dbab, "event_triggers_call" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1a199ca5, "_copy_from_pages" },
	{ 0x158b60eb, "__module_get" },
	{ 0x1f6f6f0a, "rpc_task_release_transport" },
	{ 0x5b346df1, "xdr_page_pos" },
	{ 0x68e43499, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4049a08d, "key_instantiate_and_link" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x8f92c1bb, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x329aecf1, "register_key_type" },
	{ 0xe4ad150f, "rpc_sleep_on" },
	{ 0x8779c598, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x983a59eb, "keyring_alloc" },
	{ 0xda67e6b7, "nfs_create" },
	{ 0x41dae668, "complete_request_key" },
	{ 0x47f4b0b2, "__put_cred" },
	{ 0xbc15eb8f, "nfs_update_delegated_mtime" },
	{ 0xa1540848, "nfs_statfs" },
	{ 0x77990a34, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x31eb17dd, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x13da8882, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x62b7aeef, "nfs_mkdir" },
	{ 0xda8625ae, "nfs_revalidate_inode" },
	{ 0xc1e41ac6, "nfs_file_mmap" },
	{ 0x8394882e, "nfs_get_lock_context" },
	{ 0xc5e31f5a, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xee28a9cf, "nfs_set_cache_invalid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe937e2cc, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb14b32dd, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x2c15ff17, "trace_event_ignore_this_pid" },
	{ 0x9a23e1d7, "make_kuid" },
	{ 0x48bff75a, "truncate_inode_pages_final" },
	{ 0x66c5ea8a, "generic_setlease" },
	{ 0xec69af1a, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x88d8d64, "xdr_stream_decode_string_dup" },
	{ 0xe5e6e04e, "locks_init_lock" },
	{ 0xb3297a85, "rpc_destroy_pipe_data" },
	{ 0x16f584e5, "nfs_get_client" },
	{ 0xd34acdc8, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x4227ed02, "nfs_atomic_open" },
	{ 0xab556b0f, "rpc_pipe_generic_upcall" },
	{ 0x16ef8265, "nfs_file_fsync" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x9b25df00, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9a5b5762, "mntput" },
	{ 0xe9957020, "nfs_put_lock_context" },
	{ 0x3f32e7b9, "nfs_rename" },
	{ 0x4fbf5933, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xd92c0a8a, "nfs_sysfs_link_rpc_client" },
	{ 0x2a0c8b0b, "nfs_put_client" },
	{ 0xd29a434a, "nfs_show_options" },
	{ 0x8b287279, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xc13e3ecc, "key_put" },
	{ 0x1a521825, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5f642208, "get_nfs_open_context" },
	{ 0x2901bfec, "perf_trace_run_bpf_submit" },
	{ 0x1129ca12, "nfs_clear_verifier_delegated" },
	{ 0x31f5775e, "nfs_sysfs_add_server" },
	{ 0x49608959, "migrate_disable" },
	{ 0x8e982078, "down_write" },
	{ 0x9004889f, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x646a9e39, "nfs_do_submount" },
	{ 0xdd4eee12, "vfs_dup_fs_context" },
	{ 0x51271f40, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe3bb9d4c, "request_key_with_auxdata" },
	{ 0x2b6c3797, "rpc_clone_client_set_auth" },
	{ 0x88d30def, "rpc_clone_client" },
	{ 0x42664923, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0xa0526f03, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2ee44e3c, "radix_tree_preloads" },
	{ 0x626f5896, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbcdb67ef, "put_fs_context" },
	{ 0x7bec0d90, "nfs4_dentry_operations" },
	{ 0x6917f7b, "__module_put_and_kthread_exit" },
	{ 0x4f1d9102, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x546e9c57, "nfs_client_for_each_server" },
	{ 0x403e7320, "nfs_clear_inode" },
	{ 0xfcfb987d, "rpc_sleep_on_priority" },
	{ 0x1b517d52, "nfs_invalidate_atime" },
	{ 0x8c46adc1, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xcf40442b, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x90722a46, "nfs_getattr" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x744b410a, "nfs_zap_acl_cache" },
	{ 0xe42dbc17, "from_kgid" },
	{ 0xcd1f767e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x743cb9d2, "nfs_write_inode" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd716f0fc, "rpc_wake_up_first" },
	{ 0x26bd1e24, "alloc_nfs_open_context" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xfaf28c2e, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9b51c57d, "nfs_path" },
	{ 0x385c0995, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x728901b2, "nfs_create_rpc_client" },
	{ 0x3b5ac09a, "register_nfs_version" },
	{ 0xd8a34f16, "rpc_sleep_on_timeout" },
	{ 0xe601a237, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x51c67cfa, "rpc_call_start" },
	{ 0x83a9f220, "bpf_trace_run1" },
	{ 0xe0f71eb9, "svc_create" },
	{ 0xb691cfa6, "nfs_file_set_open_context" },
	{ 0xae4fcad5, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x20b57548, "rpc_call_sync" },
	{ 0x7e4f8538, "from_kuid" },
	{ 0x6081d0f6, "rpc_put_task_async" },
	{ 0xd2bfaf42, "rpc_prepare_reply_pages" },
	{ 0x8a5cd3f4, "rpc_queue_upcall" },
	{ 0x2c5ddd10, "nfs_free_server" },
	{ 0xd73804b5, "fc_mount" },
	{ 0x4f8746a9, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x97f8d182, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc850ae68, "nfs4_fs_type" },
	{ 0x7fef9b05, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xbb733ea9, "rpc_delay" },
	{ 0x785f8377, "nfs_flock" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x5efaeefe, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x48ff8c36, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x945e87ea, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x2beba596, "rpc_remove_pipe_dir_object" },
	{ 0x224f65cd, "nfs_may_open" },
	{ 0xbf6b27c1, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xd9fbd0d, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcd9fd00b, "down_read" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0xdf6b2e41, "xdr_reserve_space" },
	{ 0xf339c7c6, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0686ea1, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x11cbde3, "nfs_rmdir" },
	{ 0x9929c4d7, "bpf_trace_run3" },
	{ 0x89ee77c1, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x85b108fe, "rpc_mkpipe_dentry" },
	{ 0x2de09993, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa3ed39c8, "rpc_add_pipe_dir_object" },
	{ 0x69edf875, "igrab" },
	{ 0xeec775dc, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x76d0916, "nfs_async_iocounter_wait" },
	{ 0x5f12d8d5, "nfs_file_read" },
	{ 0x698dab9a, "trace_event_buffer_reserve" },
	{ 0x69e3113d, "nfs_alloc_fattr_with_label" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf418e20d, "nfs_setattr_update_inode" },
	{ 0xbaa9e8a3, "nfs_instantiate" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0x8e41c2fa, "rpc_uaddr2sockaddr" },
	{ 0xd2af527e, "user_read" },
	{ 0xd6df157b, "request_key_tag" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x71b63674, "alloc_pages" },
	{ 0x44d0c1d9, "svc_xprt_destroy_all" },
	{ 0x8ed5ef05, "generic_key_instantiate" },
	{ 0x5fd4e918, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xf8a498e9, "nfs_link" },
	{ 0xc104d90e, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xae1a2216, "rpcauth_stringify_acceptor" },
	{ 0xf0cb644, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x2c7d02a4, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd51d6205, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xe8dcae12, "put_nfs_open_context" },
	{ 0xc1c35d0c, "nfs_show_path" },
	{ 0x869ac42a, "nfs_show_devname" },
	{ 0x1ebe9bfe, "nfs_permission" },
	{ 0x9ff1a92c, "__put_user_ns" },
	{ 0x5f69af62, "cred_fscmp" },
	{ 0xea0a84c4, "rpc_unlink" },
	{ 0x81c4b415, "proc_dointvec" },
	{ 0x167b3bb9, "nfs_file_write" },
	{ 0x7f9cc1db, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc2a27921, "nfs_setsecurity" },
	{ 0xbf94593d, "rpc_clnt_test_and_add_xprt" },
	{ 0x59422971, "nfs_force_lookup_revalidate" },
	{ 0x39b480, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x64197466, "rpc_clnt_add_xprt" },
	{ 0x914bb2fa, "dget_parent" },
	{ 0x6c0a4fe7, "from_kuid_munged" },
	{ 0xee3f8e29, "prepare_kernel_cred" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xb712ce67, "nfs_alloc_server" },
	{ 0xfb3d7689, "rpc_call_async" },
	{ 0xbc72509, "filemap_write_and_wait_range" },
	{ 0xa69ff804, "nfs_server_insert_lists" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1def4624, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd162ab14, "rpc_init_pipe_dir_object" },
	{ 0xa7c16c54, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x8dd55ee6, "nfs_init_server_rpcclient" },
	{ 0x8214406a, "rpc_set_connect_timeout" },
	{ 0xac2ed669, "rpcauth_create" },
	{ 0x7af80a80, "xdr_stream_pos" },
	{ 0x5f4b238f, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x124f2ba7, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xc253dfa3, "svc_xprt_create" },
	{ 0x36677ce9, "rpc_wait_for_completion_task" },
	{ 0x996be1f0, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x79918877, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa04e88a5, "rpc_destroy_wait_queue" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xfb52df84, "nfs_fhget" },
	{ 0x2a8e8431, "nfs_symlink" },
	{ 0x9b44a44e, "locks_copy_lock" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x7fe8dc3a, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x10bc3654, "nfs_set_verifier" },
	{ 0xb0a23561, "proc_dointvec_minmax" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "0544DE00C75B255F22E0DF5");
MODULE_INFO(rhelversion, "9.7");
