#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xa772efb8, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x77eb7c26, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xabf7083c, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x24023efe, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x85c957d5, "_gpl");
SYMBOL_CRC(br_forward, 0x3d556a6f, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x9ad47a50, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xd0accb11, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x84ad5783, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xce20bff7, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x5fa5f456, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xd2cd0063, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x629781ad, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xaa05c422, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x5c88ce0a, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x72f9b1b9, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x45df49f7, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x7efa9e75, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x9279250e, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x8a759784, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xcabb4402, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x36802590, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x0b209add, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x1e9596ad, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x58fa5884, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1eafed94, "netdev_lower_get_next" },
	{ 0x3bdeb361, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6e55adff, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xef93c07e, "skb_copy_bits" },
	{ 0xf1b92c6e, "__nlmsg_put" },
	{ 0xa612d56a, "switchdev_port_attr_set" },
	{ 0x8f289ea6, "ipv6_mc_check_mld" },
	{ 0x4963fc27, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8ff868a3, "call_switchdev_notifiers" },
	{ 0x29ce89a8, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb768fa89, "netdev_update_features" },
	{ 0xabc48046, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd622d614, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0xde002f83, "__traceiter_br_fdb_update" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xb1ad3cd7, "dev_uc_del" },
	{ 0xfe35ab9c, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x450c0672, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb2e4737, "switchdev_port_obj_act_is_deferred" },
	{ 0x2f1614b8, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x400ef262, "dev_set_promiscuity" },
	{ 0xf21feb04, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5b057400, "unregister_netdevice_queue" },
	{ 0x3d406c74, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9ed34088, "netdev_state_change" },
	{ 0xb5da7010, "__pskb_copy_fclone" },
	{ 0xc93f95e3, "__dev_get_by_name" },
	{ 0xb85e0681, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x904fda0f, "netdev_err" },
	{ 0x67bf6117, "pskb_expand_head" },
	{ 0x502d7bae, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x171d0c11, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x799e8d4, "arp_xmit" },
	{ 0x85f87ecf, "__traceiter_br_mdb_full" },
	{ 0x1afb45cc, "alloc_netdev_mqs" },
	{ 0xd122f162, "passthru_features_check" },
	{ 0x6001fdca, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x50bded4e, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xdd5bf152, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x8c81f455, "__alloc_skb" },
	{ 0xc17b5aa6, "kmem_cache_alloc" },
	{ 0x4105e2a5, "rtnl_set_sk_err" },
	{ 0x4cf6a256, "skb_vlan_pop" },
	{ 0xb6f64790, "rtnl_unicast" },
	{ 0xdae5632c, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x517d1e46, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f21a594, "nla_reserve_64bit" },
	{ 0xb1bb4920, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa1a242fa, "__dev_get_by_index" },
	{ 0x11f884a, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xe417c5ce, "dev_get_port_parent_id" },
	{ 0xea5e45d5, "init_net" },
	{ 0xa1262ea9, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x348788a6, "inet_confirm_addr" },
	{ 0x42b27ae2, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x87b610cd, "sysfs_remove_link" },
	{ 0x9a55283, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2677a252, "rtnl_af_unregister" },
	{ 0xebaf08c0, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x7bfbe591, "arp_send" },
	{ 0x70754e83, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x85ce3dd7, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0xb84f9a30, "skb_push" },
	{ 0x4b9e87c8, "kmem_cache_free" },
	{ 0x41cadf18, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x3a48dede, "netdev_upper_dev_unlink" },
	{ 0x2972d8f9, "netif_receive_skb" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x91028018, "llc_mac_hdr_init" },
	{ 0x294c5b99, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xb781efde, "kobject_init_and_add" },
	{ 0x1a2865a0, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x917817f3, "ns_capable" },
	{ 0x4db4cbf3, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xafad1982, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2e58093d, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x5fa76be7, "arp_create" },
	{ 0xae3475ed, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9d3128ff, "stp_proto_register" },
	{ 0x5703d0ab, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0x6889cc5, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xb5001b63, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd1f1dff2, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3116fcc5, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xef92699b, "__pskb_pull_tail" },
	{ 0x707dea31, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x5a21b0e9, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x37df256b, "ip_mc_check_igmp" },
	{ 0x62acf812, "__netdev_alloc_skb" },
	{ 0x7202c15b, "rhashtable_destroy" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xfeb1366d, "switchdev_port_obj_del" },
	{ 0x27aa2a8d, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x11d526f, "kobject_create_and_add" },
	{ 0x88797bab, "skb_trim" },
	{ 0x3315eb5f, "nf_hook_slow" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x73c31c30, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6fe095ce, "__ip_mc_inc_group" },
	{ 0x2eef95dd, "netdev_walk_all_upper_dev_rcu" },
	{ 0xa0145576, "sysfs_remove_group" },
	{ 0xdc378591, "__traceiter_br_fdb_external_learn_add" },
	{ 0x6cea8cf5, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x9d86dd10, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x38763c6, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1f7ca86a, "vlan_vid_add" },
	{ 0x88acd753, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x899f8843, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x821f0003, "call_netdevice_notifiers" },
	{ 0x350ed35a, "is_skb_forwardable" },
	{ 0xef710ce7, "vlan_vid_del" },
	{ 0x2cfd6d84, "dev_set_allmulti" },
	{ 0x8136369c, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1b480775, "netdev_master_upper_dev_get" },
	{ 0xbdcbc66, "ipv6_dev_mc_inc" },
	{ 0x906d8b5, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbeeb7036, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xda5e2ecf, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x31b3d301, "skb_clone" },
	{ 0x9f04af58, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5dac10ac, "dst_release" },
	{ 0xb24b1f71, "netif_carrier_on" },
	{ 0x8fb58032, "kobject_uevent" },
	{ 0xad1e69ee, "arp_tbl" },
	{ 0x8be008af, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x273dc038, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x30fe127d, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1c434d69, "netif_set_tso_max_size" },
	{ 0xb473bdab, "dev_disable_lro" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x6b8c721d, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd5b4f03, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xad83a312, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x803fc8da, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x132cfc15, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x9e0c7c8a, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x3b01b8e7, "skb_ext_add" },
	{ 0x3fbacda7, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x27e1b347, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xdf6133c4, "neigh_lookup" },
	{ 0x69b3b2d8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8601bc1d, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x79e4b3fd, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.7");
