#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x2420a8e8, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xf5c71668, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x7ebc04ac, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x1ac503a9, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x210e8d15, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x3ddd2e0a, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x281a62ba, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x8ae8589d, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xf8a30be3, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xcb64b934, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x9bc9298a, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x018153d1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb22370aa, "ipv6_chk_addr_and_flags" },
	{ 0x70754e83, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x8fcf6f55, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xb879973, "register_pernet_device" },
	{ 0xd7c7b2a3, "xfrm6_tunnel_register" },
	{ 0xfe35ab9c, "rtnl_link_register" },
	{ 0x6dfbf12f, "xfrm6_tunnel_deregister" },
	{ 0xeeaaf9be, "unregister_pernet_device" },
	{ 0x4efabdd8, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5b057400, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfde28025, "rt6_lookup" },
	{ 0x5dac10ac, "dst_release" },
	{ 0xa1a242fa, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbf2c14b1, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xea5e45d5, "init_net" },
	{ 0x1afb45cc, "alloc_netdev_mqs" },
	{ 0x8effb6f5, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x294c5b99, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11f884a, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1b994ae, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xef92699b, "__pskb_pull_tail" },
	{ 0x79e4b3fd, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ed34088, "netdev_state_change" },
	{ 0x9a23e1d7, "make_kuid" },
	{ 0x5944015a, "ip6_redirect" },
	{ 0x9d1629bc, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x40c86e51, "dst_cache_get" },
	{ 0xfdb605bd, "ip6_route_output_flags" },
	{ 0x856c5f26, "xfrm_lookup" },
	{ 0xe28d3851, "skb_scrub_packet" },
	{ 0x8336f65a, "skb_realloc_headroom" },
	{ 0x34b4282a, "skb_set_owner_w" },
	{ 0xabc48046, "consume_skb" },
	{ 0x17d74367, "ipv6_push_frag_opts" },
	{ 0xb84f9a30, "skb_push" },
	{ 0xbd242639, "ip6_local_out" },
	{ 0xa022d3f0, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xef93c07e, "skb_copy_bits" },
	{ 0x566e0498, "ip6_dst_hoplimit" },
	{ 0x517d1e46, "ipv6_dev_get_saddr" },
	{ 0x88acd753, "neigh_destroy" },
	{ 0x31b3d301, "skb_clone" },
	{ 0x42b27ae2, "skb_pull" },
	{ 0x283589b6, "__icmpv6_send" },
	{ 0xebaf08c0, "sk_skb_reason_drop" },
	{ 0xa53c4222, "gro_cells_receive" },
	{ 0xd3d3d335, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xec32e9a9, "ip_route_output_flow" },
	{ 0x1957055a, "ip_route_input_noref" },
	{ 0x4b719975, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xaf7ff422, "iptunnel_handle_offloads" },
	{ 0xefa4168e, "icmpv6_ndo_send" },
	{ 0x21c3ec2f, "icmp_ndo_send" },
	{ 0x7e8d8fca, "__iptunnel_pull_header" },
	{ 0x9f04af58, "metadata_dst_alloc" },
	{ 0x7441f7b7, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x917817f3, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x707dea31, "dev_get_tstats64" },
	{ 0xe129c77d, "param_ops_bool" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.7");
