#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x13f0dcd0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xe926c357, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x796e6449, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x189ab376, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x53578bd5, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x0cce6e0f, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x7e65b4a9, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x68c02b54, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x24d68b4c, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xd7addc9d, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x7bd4d7dc, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x8ca3e822, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x21a7bfd2, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xeb94e788, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x905342c7, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x1c09d1b5, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x4c2c9829, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x912988b5, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x0b919951, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xc77587e7, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x2653af77, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x9c9405b8, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x0582565d, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xd9de9a15, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xa1a45035, "_gpl");
SYMBOL_CRC(print_tuple, 0x647be79e, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xa217da30, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x0d0a5a42, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x7b9cbd66, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xd66cb9f8, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x3e355283, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x665752e5, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xe3897a1a, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xccc4ae11, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x42e4f762, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x29ac5c74, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x6208f64e, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xa863bde9, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xd0d59cba, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x71fb172c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x522fbd33, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x59f5aa5f, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x07faa331, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x7ae0a9c5, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x561863e0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x808e61cc, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xed549d89, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xb8fe7d77, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x5e3223c3, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x5fcc97b3, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xe273db2f, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x9d980c0b, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x9a9de060, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xe7c42c98, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xfc324c89, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x1656de62, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x099bb526, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xdc398ad4, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x87360660, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x648dd324, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xd569cec4, "_gpl");
SYMBOL_CRC(nf_confirm, 0x83d941f3, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x867c21b8, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x0e9ec2a9, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x0fb62ca6, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x82250c6d, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xca27cfc5, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xd00536ec, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x26ccfd57, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xaf8f3f32, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x27d3d333, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x135f3c93, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xf37535de, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x54d4fef5, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xea58e34e, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xdd3265dd, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x9d7000d6, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x33a72263, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x832422e9, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x2a1f447a, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x5fb3fdb8, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x29d38bc6, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x9137d503, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x83318b5d, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xc08c3d9c, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x984506a0, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x290f5f46, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x38cfe1e4, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x9813427d, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xe3d23ff5, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x7b0a08a9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7dcedc1c, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xbc002942, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb75f2a95, "nf_defrag_ipv4_disable" },
	{ 0x71f2e715, "nf_ip6_checksum" },
	{ 0x19406d6, "proc_dou8vec_minmax" },
	{ 0xef93c07e, "skb_copy_bits" },
	{ 0x955b215d, "param_ops_uint" },
	{ 0x3cc5c88a, "proc_dointvec_jiffies" },
	{ 0x935f3c13, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d1cb121, "nf_register_sockopt" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x83f0e9f4, "nfct_btf_struct_access" },
	{ 0x104ab3c9, "param_set_uint" },
	{ 0x22b3c879, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe6c4166, "nf_ct_frag6_gather" },
	{ 0xf0d13c28, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3d406c74, "kmem_cache_create" },
	{ 0xb6a1ff5b, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3007a989, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x502d7bae, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xd7d5a237, "nf_unregister_sockopt" },
	{ 0xfeb324b6, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9a23e1d7, "make_kuid" },
	{ 0x6891020b, "nf_defrag_ipv6_disable" },
	{ 0x95a45d42, "ipv6_skip_exthdr" },
	{ 0x7163a86d, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xc17b5aa6, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5dda51ca, "nf_checksum" },
	{ 0x21885b38, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xea5e45d5, "init_net" },
	{ 0xe8897818, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xebaf08c0, "sk_skb_reason_drop" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x4b9e87c8, "kmem_cache_free" },
	{ 0x8563ca41, "seq_putc" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x3cd35858, "nf_checksum_partial" },
	{ 0xfcca9b1b, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x65872dc8, "nf_unregister_net_hooks" },
	{ 0xc729c468, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb5001b63, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xec073bbf, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7d7cf836, "nf_log_packet" },
	{ 0x945e87ea, "make_kgid" },
	{ 0xa4e31aee, "nf_ip_checksum" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xa52f8aae, "register_btf_kfunc_id_set" },
	{ 0x88b8a0e, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcd9fd00b, "down_read" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x2a955793, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb6576155, "__skb_checksum" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x16d3ff98, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe129c77d, "param_ops_bool" },
	{ 0x58448721, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc660d820, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ccea9d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5fa4ea7c, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x81c4b415, "proc_dointvec" },
	{ 0xc82231d2, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc177159, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x4dcb390, "unregister_net_sysctl_table" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x75f39fa5, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf27a9e08, "pskb_trim_rcsum_slow" },
	{ 0x124f2ba7, "up_read" },
	{ 0xa013813c, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x69b3b2d8, "kmem_cache_destroy" },
	{ 0xdbfc6599, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "2FADA31E400F81478A8E99B");
MODULE_INFO(rhelversion, "9.7");
