#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xdaa0c2c4, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x2a2e4c6f, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x538f6867, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xe4c8b957, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xf52fca27, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xaf99a11c, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xd8c19d3e, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x58640bf8, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xa5f1094e, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x962d0728, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xa57f0649, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xce4fbd4a, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xaf683398, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x7b886391, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xcafb5fb2, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x7a8e49cc, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x7d6eefb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xbb57270c, "flow_rule_alloc" },
	{ 0xd53d4bfd, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf3f9424b, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xed9666a0, "neigh_xmit" },
	{ 0xda74c0a0, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xf21feb04, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd6fb381c, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x3007a989, "proc_create_net_data" },
	{ 0x67bf6117, "pskb_expand_head" },
	{ 0x502d7bae, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8e982078, "down_write" },
	{ 0x51271f40, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x42b27ae2, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x415d7a73, "dev_get_by_index" },
	{ 0x70754e83, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x4aa559f8, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x29c230f8, "flow_indr_dev_setup_offload" },
	{ 0x147ce528, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xb5001b63, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1f1dff2, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xef92699b, "__pskb_pull_tail" },
	{ 0x7202c15b, "rhashtable_destroy" },
	{ 0xcd9fd00b, "down_read" },
	{ 0xbe83a331, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d86dd10, "rhashtable_insert_slow" },
	{ 0x1fa16a4d, "rt_read_lock" },
	{ 0x38763c6, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x88acd753, "neigh_destroy" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x58448721, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd7a95c1c, "rt_read_unlock" },
	{ 0xc660d820, "remove_proc_entry" },
	{ 0x7bd4d7dc, "nf_ct_acct_add" },
	{ 0x3ccea9d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5dac10ac, "dst_release" },
	{ 0xd569cec4, "nf_ct_l4proto_find" },
	{ 0xc82231d2, "seq_puts" },
	{ 0x49f7b8aa, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x124f2ba7, "up_read" },
	{ 0x32b86a45, "rhashtable_walk_exit" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.7");
