#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x4db67922, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x554529d6, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x33c049ac, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d6c34cf, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x57e0435e, "sock_queue_rcv_skb_reason" },
	{ 0x21ad8779, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe73b5f45, "bpf_trace_run4" },
	{ 0xef93c07e, "skb_copy_bits" },
	{ 0x9c5d6265, "radix_tree_insert" },
	{ 0x4963fc27, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xabc48046, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60bd5811, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x8591b5e2, "radix_tree_lookup" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xa6e9e5f9, "trace_event_printf" },
	{ 0xe321c387, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x99f2b259, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x2ca1dbab, "event_triggers_call" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x158b60eb, "__module_get" },
	{ 0x522fdd80, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb5da7010, "__pskb_copy_fclone" },
	{ 0x431f36c7, "sk_error_report" },
	{ 0x1d71487f, "skb_queue_purge_reason" },
	{ 0xb84aece1, "radix_tree_iter_delete" },
	{ 0x31eb17dd, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x5161ff2b, "proto_unregister" },
	{ 0x9b3a5255, "sock_register" },
	{ 0x4cd790bf, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2c15ff17, "trace_event_ignore_this_pid" },
	{ 0x8c81f455, "__alloc_skb" },
	{ 0xf117fd27, "rt_write_unlock" },
	{ 0xe106ea44, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x9598843d, "__xa_alloc" },
	{ 0xe8b6fe21, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2901bfec, "perf_trace_run_bpf_submit" },
	{ 0xe1e09a0c, "__traceiter_sk_data_ready" },
	{ 0xea5e45d5, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7d85df62, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xebaf08c0, "sk_skb_reason_drop" },
	{ 0x5f0c7d1f, "xa_load" },
	{ 0xdb5880dd, "kernel_getsockname" },
	{ 0x13937078, "do_wait_intr_irq" },
	{ 0x3f89af2d, "sk_free" },
	{ 0xea900af4, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xb84f9a30, "skb_push" },
	{ 0xf7726947, "sock_no_listen" },
	{ 0xcd1f767e, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xc729c468, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x61b4f191, "skb_copy_datagram_iter" },
	{ 0xe117c9c4, "sk_alloc" },
	{ 0xc916ff38, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x1978afb8, "sock_no_mmap" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x7c4913c0, "sock_no_sendpage" },
	{ 0x62acf812, "__netdev_alloc_skb" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x5c95a723, "__xa_insert" },
	{ 0xbb995ae6, "xa_erase" },
	{ 0x9929c4d7, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x34b4282a, "skb_set_owner_w" },
	{ 0x698dab9a, "trace_event_buffer_reserve" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xd764c34c, "sock_create_kern" },
	{ 0x7b0464bb, "xa_find" },
	{ 0x7212222f, "skb_recv_datagram" },
	{ 0x70fb9768, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xed6ac11a, "xa_store" },
	{ 0x537c96d6, "rt_write_lock" },
	{ 0x9c2ccd8d, "_copy_from_iter" },
	{ 0xfe1785c5, "sock_release" },
	{ 0xae985cbe, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe6616058, "xa_find_after" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd9a667e3, "iov_iter_revert" },
	{ 0xd5ed22b6, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xcf30fc05, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xdbfc6599, "release_sock" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
