#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x3453d2e0, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xb2501161, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x1dbf4361, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x99660149, "");
SYMBOL_CRC(gss_mech_put, 0x99677652, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xd193c854, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x3fd24ab3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6b3a829, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xe914e41e, "strcpy" },
	{ 0xbc002942, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa8ee0dd9, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x8c897db, "xdr_buf_from_iov" },
	{ 0xe73b5f45, "bpf_trace_run4" },
	{ 0xb038027a, "xdr_stream_decode_opaque_auth" },
	{ 0x955b215d, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1514c819, "xdr_write_pages" },
	{ 0x996d6c18, "rpc_shutdown_client" },
	{ 0xd5e9584f, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x37eecb1, "xdr_inline_decode" },
	{ 0xe660bf96, "cache_create_net" },
	{ 0x149cc597, "rpcauth_destroy_credcache" },
	{ 0x60bd5811, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x235029df, "bpf_trace_run6" },
	{ 0x91e1ed6, "rpc_net_ns" },
	{ 0x374070aa, "read_bytes_from_xdr_buf" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xc48efede, "finish_wait" },
	{ 0x821a67dc, "rpc_wake_up" },
	{ 0xa6e9e5f9, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x42294705, "sunrpc_cache_lookup_rcu" },
	{ 0x1c6604da, "prepare_to_wait" },
	{ 0x99f2b259, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xb86e9aed, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xb0f14de3, "bpf_trace_run2" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0xd640c934, "xdr_truncate_decode" },
	{ 0x5b16af03, "rpcauth_unregister" },
	{ 0x2ca1dbab, "event_triggers_call" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x68968bb6, "__xdr_commit_encode" },
	{ 0x158b60eb, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe4ad150f, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x47f4b0b2, "__put_cred" },
	{ 0x502d7bae, "register_pernet_subsys" },
	{ 0x31eb17dd, "trace_event_buffer_commit" },
	{ 0xa8d1334, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x662abe02, "rpc_release_client" },
	{ 0xeb440758, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x59643199, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9ba47f69, "svc_auth_register" },
	{ 0x4276d689, "xdr_stream_encode_opaque_auth" },
	{ 0x2c15ff17, "trace_event_ignore_this_pid" },
	{ 0x9a23e1d7, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xb3297a85, "rpc_destroy_pipe_data" },
	{ 0xd34acdc8, "__free_pages" },
	{ 0xab556b0f, "rpc_pipe_generic_upcall" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x13136b27, "cache_unregister_net" },
	{ 0x41944d89, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2901bfec, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x81b8a59f, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x451af00a, "rpcauth_init_credcache" },
	{ 0x2065dbd9, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x227a3785, "xdr_init_decode" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xcd1f767e, "trace_event_reg" },
	{ 0xf785ecc4, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd8a34f16, "rpc_sleep_on_timeout" },
	{ 0xab2b03ec, "rpc_create" },
	{ 0x83a9f220, "bpf_trace_run1" },
	{ 0x20b57548, "rpc_call_sync" },
	{ 0x7e4f8538, "from_kuid" },
	{ 0xb5001b63, "unregister_pernet_subsys" },
	{ 0x8a5cd3f4, "rpc_queue_upcall" },
	{ 0x7f889437, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdfea4eba, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x31004941, "svcauth_unix_set_client" },
	{ 0xf81f5cd8, "xdr_buf_subsegment" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x945e87ea, "make_kgid" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x2beba596, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0xdf6b2e41, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x30e4984e, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9929c4d7, "bpf_trace_run3" },
	{ 0x2a955793, "__put_net" },
	{ 0x85b108fe, "rpc_mkpipe_dentry" },
	{ 0x2de09993, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x2d8c0fb8, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x698dab9a, "trace_event_buffer_reserve" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x6fec3963, "cache_register_net" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0x71b63674, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x33e46c0a, "xdr_inline_pages" },
	{ 0xc104d90e, "__folio_put" },
	{ 0xc660d820, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x2c7d02a4, "rpc_init_wait_queue" },
	{ 0xd51d6205, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xea0a84c4, "rpc_unlink" },
	{ 0xeed01f6e, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x6c0a4fe7, "from_kuid_munged" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xb085b36d, "rpcauth_init_cred" },
	{ 0x282d6d6f, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x33ac3625, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd162ab14, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7af80a80, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xcc728abb, "sunrpc_cache_update" },
	{ 0xb71f40ef, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa04e88a5, "rpc_destroy_wait_queue" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5bcb9003, "auth_domain_put" },
	{ 0x38c2ac0a, "rpcauth_unwrap_resp_decode" },
	{ 0x60731ef1, "rpcauth_register" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.7");
