#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xb7f54ee8, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x2eee07bc, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xa2fcbc29, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xf4e794de, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x39dbc6f0, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x2fde250d, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xc6598d20, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x916d8899, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xf9a48a76, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x96ca647c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xbf387556, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xc9c39955, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xf4f81b2c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xa5d96fc5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x66e2efe1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x84ce79a5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x50a84ca1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x629d172d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x52d6c32d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xd1fea676, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xeafd9e56, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xbaa17d64, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x31576a3e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x64eb49cf, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xc27e6661, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xa49a994e, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x773420a5, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xcb004b61, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x03d2b4af, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x2fe7cb9e, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xdd9b91f5, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xfa9a8a3b, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x8a5cf0dc, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x2b0545fa, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x2237ac4c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x3e435f97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3100ff6, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2581fd4c, "vsock_insert_connected" },
	{ 0x4963fc27, "skb_put" },
	{ 0xabc48046, "consume_skb" },
	{ 0x60bd5811, "trace_raw_output_prep" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xd41a9eaf, "vsock_remove_sock" },
	{ 0xa6e9e5f9, "trace_event_printf" },
	{ 0x8b8d7d0e, "vsock_deliver_tap" },
	{ 0x99f2b259, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x62664591, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2ca1dbab, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x431f36c7, "sk_error_report" },
	{ 0x31eb17dd, "trace_event_buffer_commit" },
	{ 0x5a21026, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2c15ff17, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x8c81f455, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2901bfec, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xebaf08c0, "sk_skb_reason_drop" },
	{ 0x3f89af2d, "sk_free" },
	{ 0xcd1f767e, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xf47c3570, "__skb_recv_datagram" },
	{ 0xc729c468, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe1cf9637, "vsock_stream_has_data" },
	{ 0x61b4f191, "skb_copy_datagram_iter" },
	{ 0xdcf98d3c, "bpf_trace_run9" },
	{ 0xc6d62a4b, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x929860a2, "sock_efree" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x214cbd53, "bpf_trace_run10" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x81fa41a9, "vsock_core_get_transport" },
	{ 0x9b9f19b, "__zerocopy_sg_from_iter" },
	{ 0x2b8f8ba, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x34b4282a, "skb_set_owner_w" },
	{ 0x698dab9a, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9c2ccd8d, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7bf820c9, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbb32e1ed, "msg_zerocopy_realloc" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x53efadf, "vsock_create_connected" },
	{ 0xf92d92e4, "vsock_assign_transport" },
	{ 0xd9a667e3, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x90103b34, "iov_iter_npages" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xdbfc6599, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x83d3dddc, "vsock_data_ready" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "549F88994D0746AA2A608BD");
MODULE_INFO(rhelversion, "9.7");
