#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x5ea636f9, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xa7183c75, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x14374915, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x7eda93ad, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x8f7204f3, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xe1a664d5, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x3ee293f6, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x3443cc38, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xe594ff91, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xfcbe3067, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x2af6fec3, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xb35fc1a4, "_gpl");
SYMBOL_CRC(mhi_notify, 0x5f6e6a91, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x09030a42, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0xe5cd99ed, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x56ffcc82, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x7f390a3c, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x692fa011, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x77101e64, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x463da31f, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x2d4cd009, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xe441ebc6, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x94dda6d8, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x3889bcba, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xffcddb6f, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x537537c2, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x418940ca, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x2adaee40, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x69e052a8, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x380fb438, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x27ddbe1b, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x86af994f, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x78d01d3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x409ed1ce, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe73b5f45, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x29ce89a8, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x472e756f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60bd5811, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xc48efede, "finish_wait" },
	{ 0xac554591, "dma_unmap_page_attrs" },
	{ 0x6d7d7cc9, "request_firmware" },
	{ 0xa6e9e5f9, "trace_event_printf" },
	{ 0x7d93ea14, "device_initialize" },
	{ 0x99f2b259, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc6b96a6, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb0f14de3, "bpf_trace_run2" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x2ca1dbab, "event_triggers_call" },
	{ 0xd27ad6bd, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50bc4891, "dev_driver_string" },
	{ 0x31eb17dd, "trace_event_buffer_commit" },
	{ 0x3759bd32, "dma_map_page_attrs" },
	{ 0xccbe73ad, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcca3e748, "put_device" },
	{ 0x2c15ff17, "trace_event_ignore_this_pid" },
	{ 0xf2e50075, "sysfs_remove_file_ns" },
	{ 0xf117fd27, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xdc30c8e0, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2901bfec, "perf_trace_run_bpf_submit" },
	{ 0xb083ee12, "bus_unregister" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0x66177105, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8bf60de0, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x47304f3f, "dma_alloc_attrs" },
	{ 0xcd1f767e, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x79005361, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6fc0b2f, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f73e03, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x9929c4d7, "bpf_trace_run3" },
	{ 0x1fa16a4d, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc562aff3, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x698dab9a, "trace_event_buffer_reserve" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd7a95c1c, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x537c96d6, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x81953219, "driver_register" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x8a90bca8, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.7");
