#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0xa3918b5d, "");
SYMBOL_CRC(host1x_device_exit, 0xb7e5fcec, "");
SYMBOL_CRC(host1x_driver_register_full, 0xdf6b2693, "");
SYMBOL_CRC(host1x_driver_unregister, 0x6e13a628, "");
SYMBOL_CRC(__host1x_client_init, 0x622ca8fd, "");
SYMBOL_CRC(host1x_client_exit, 0x40acb0f0, "");
SYMBOL_CRC(__host1x_client_register, 0x42d74596, "");
SYMBOL_CRC(host1x_client_unregister, 0xe62bc126, "");
SYMBOL_CRC(host1x_client_suspend, 0x77178923, "");
SYMBOL_CRC(host1x_client_resume, 0xb8a797eb, "");
SYMBOL_CRC(host1x_bo_pin, 0x595d66b7, "");
SYMBOL_CRC(host1x_bo_unpin, 0x3143210d, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x07f6d408, "");
SYMBOL_CRC(host1x_syncpt_id, 0x647b464f, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0xe48334f7, "");
SYMBOL_CRC(host1x_syncpt_incr, 0xaea09d7c, "");
SYMBOL_CRC(host1x_syncpt_wait, 0x7db5aeba, "");
SYMBOL_CRC(host1x_syncpt_request, 0x49d396cf, "");
SYMBOL_CRC(host1x_syncpt_put, 0x9b76f5a0, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0x61af2976, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0x975f0f4e, "");
SYMBOL_CRC(host1x_syncpt_read, 0x5a62f8b6, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x4061bd43, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0xab3b667d, "");
SYMBOL_CRC(host1x_syncpt_get, 0xe97e1a4e, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0xa7e0c415, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0x94be0bb1, "");
SYMBOL_CRC(host1x_get_dma_mask, 0x9bb21165, "");
SYMBOL_CRC(host1x_job_submit, 0x02204f59, "");
SYMBOL_CRC(host1x_channel_get, 0x3dd7ede1, "");
SYMBOL_CRC(host1x_channel_stop, 0xf6414800, "");
SYMBOL_CRC(host1x_channel_put, 0xaf8cc3e1, "");
SYMBOL_CRC(host1x_channel_request, 0x9ee0e847, "");
SYMBOL_CRC(host1x_job_alloc, 0x85931dbf, "");
SYMBOL_CRC(host1x_job_get, 0x88c49c15, "");
SYMBOL_CRC(host1x_job_put, 0x0382b83f, "");
SYMBOL_CRC(host1x_job_add_gather, 0xe97b5ced, "");
SYMBOL_CRC(host1x_job_add_wait, 0x5da842a0, "");
SYMBOL_CRC(host1x_job_pin, 0xc9ecfc8c, "");
SYMBOL_CRC(host1x_job_unpin, 0x5887e519, "");
SYMBOL_CRC(tegra_mipi_request, 0xfc8cf0a9, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0xfa2c2638, "");
SYMBOL_CRC(host1x_fence_cancel, 0xf99e7794, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x290595c0, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0xe5390ba8, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0xfb98d3fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41eef0ba, "iommu_map_sg" },
	{ 0x9e9a4d30, "platform_device_put" },
	{ 0x9bbe1c6c, "dma_fence_signal_locked" },
	{ 0x39109b72, "devm_platform_ioremap_resource" },
	{ 0xaeabcbf1, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x41373e77, "devm_request_threaded_irq" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xffdc990e, "devm_platform_get_and_ioremap_resource" },
	{ 0x472e756f, "dev_set_name" },
	{ 0x9745d42, "of_find_device_by_node" },
	{ 0x6005b6e0, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60bd5811, "trace_raw_output_prep" },
	{ 0x3da3d1a4, "iommu_group_get" },
	{ 0x70d50126, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xa6e9e5f9, "trace_event_printf" },
	{ 0x5b1c8d6b, "free_iova" },
	{ 0xf1a69b1e, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x7d93ea14, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x99f2b259, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x97b38b7, "pm_generic_poweroff" },
	{ 0x94279c13, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb0f14de3, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x2ca1dbab, "event_triggers_call" },
	{ 0x46f59d02, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xafcaa071, "devm_clk_get" },
	{ 0x63eddba9, "dma_fence_wait_timeout" },
	{ 0x9f16bdea, "__free_iova" },
	{ 0x31eb17dd, "trace_event_buffer_commit" },
	{ 0x89c7b4e6, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x42494ce6, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x6dde84f5, "iommu_detach_group" },
	{ 0x2f60eacc, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xcca3e748, "put_device" },
	{ 0x2c15ff17, "trace_event_ignore_this_pid" },
	{ 0x775527a8, "pm_runtime_enable" },
	{ 0x39d117a4, "alloc_iova" },
	{ 0xb74ddd2, "devm_tegra_core_dev_init_opp_table" },
	{ 0xbc183794, "platform_get_irq_byname_optional" },
	{ 0x2625b94d, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0x7a0656d5, "pm_generic_suspend" },
	{ 0x1bc60bbd, "iommu_get_domain_for_dev" },
	{ 0xe2a27237, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x27875eee, "put_iova_domain" },
	{ 0x2901bfec, "perf_trace_run_bpf_submit" },
	{ 0xb083ee12, "bus_unregister" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0xb3188cdb, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x8bf60de0, "device_add" },
	{ 0x6aceec8b, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xc077929f, "iommu_domain_alloc" },
	{ 0x652852b4, "iommu_unmap" },
	{ 0x2c7ddc92, "dma_fence_signal" },
	{ 0x8c46adc1, "bpf_trace_run5" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x47304f3f, "dma_alloc_attrs" },
	{ 0x7fd5cbd7, "debugfs_remove" },
	{ 0xcd1f767e, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0xb16a5288, "of_property_count_elems_of_size" },
	{ 0x79005361, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x753a08ce, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe98d8bd5, "of_device_is_available" },
	{ 0xc09c55d, "dma_fence_init" },
	{ 0xfca9df91, "mutex_lock_interruptible" },
	{ 0xd5bc9518, "host1x_context_device_bus_type" },
	{ 0x83a9f220, "bpf_trace_run1" },
	{ 0x6fc0b2f, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f73e03, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9279fa2a, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3162aab1, "debugfs_create_u32" },
	{ 0x325f14a5, "devm_platform_ioremap_resource_byname" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x82f601d, "dma_set_coherent_mask" },
	{ 0x9929c4d7, "bpf_trace_run3" },
	{ 0x15eea060, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa7d80138, "debugfs_create_file" },
	{ 0xc562aff3, "dma_free_attrs" },
	{ 0x698dab9a, "trace_event_buffer_reserve" },
	{ 0x8e3eb432, "__pm_runtime_resume" },
	{ 0xe7150a36, "init_iova_domain" },
	{ 0xd5f9940, "__devm_reset_control_bulk_get" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa11572e6, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5d0d587c, "seq_write" },
	{ 0xe8c6089a, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ccea9d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xebdc96a3, "iommu_map" },
	{ 0xc4e70550, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa4460fcd, "dma_set_mask" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xd7618f74, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x3b944195, "iommu_attach_group" },
	{ 0xf9a23282, "single_open" },
	{ 0x6e92e20e, "of_device_get_match_data" },
	{ 0xe738f013, "pm_generic_restore" },
	{ 0x830353f9, "__pm_runtime_disable" },
	{ 0xb8451ab6, "debugfs_create_dir" },
	{ 0xe52be0c6, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1ccdd7b3, "platform_unregister_drivers" },
	{ 0xc7d88e1b, "pm_runtime_force_suspend" },
	{ 0x81953219, "driver_register" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xdac40200, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x75fea18d, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x8a90bca8, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "84F2BCD099C8C2765BFEE45");
MODULE_INFO(rhelversion, "9.7");
