#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_add_helper, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_source, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_find_input_type, "_gpl", "");
KSYMTAB_FUNC(coresight_find_output_type, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(coresight_init_driver, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_driver, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_add_out_conn, "_gpl", "");
KSYMTAB_FUNC(coresight_add_in_conn, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_simple_show_pair, "_gpl", "");
KSYMTAB_FUNC(coresight_simple_show32, "_gpl", "");
KSYMTAB_FUNC(coresight_enable_sysfs, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_sysfs, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_get_cpu_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_get_cpu_id_map, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_put_cpu_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_put_cpu_id_map, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_read_cpu_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_read_cpu_id_map, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_get_system_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_put_system_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_perf_start, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_perf_stop, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0xd2d3de83, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0x2c443908, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0xb1f8b2f3, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0xbd76c513, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0xd1964b3f, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0x04e44760, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0xb6bd0e14, "_gpl");
SYMBOL_CRC(coresight_add_helper, 0xfd1cb41d, "_gpl");
SYMBOL_CRC(coresight_disable_source, 0x48f60072, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0x6e300d33, "_gpl");
SYMBOL_CRC(coresight_unregister, 0x0c6e9001, "_gpl");
SYMBOL_CRC(coresight_find_input_type, 0x5f20fa9d, "_gpl");
SYMBOL_CRC(coresight_find_output_type, 0x41f594fb, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0x3fa28f00, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0x1c83d9e4, "_gpl");
SYMBOL_CRC(coresight_init_driver, 0x39af14b2, "_gpl");
SYMBOL_CRC(coresight_remove_driver, 0xde13520c, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0xafa83add, "_gpl");
SYMBOL_CRC(coresight_add_out_conn, 0x5db8d930, "_gpl");
SYMBOL_CRC(coresight_add_in_conn, 0xce59f5ab, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x9bb11dcf, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0xc9b7d2ba, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0xd5338cfe, "_gpl");
SYMBOL_CRC(coresight_simple_show_pair, 0x63a58cc8, "_gpl");
SYMBOL_CRC(coresight_simple_show32, 0xca5ecc58, "_gpl");
SYMBOL_CRC(coresight_enable_sysfs, 0xf73f68df, "_gpl");
SYMBOL_CRC(coresight_disable_sysfs, 0xe6f2bb63, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0x78a39cd6, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0x2a44214c, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0x04089812, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0x248bbea2, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0xf6141c39, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0x16d13573, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0x3dc37c58, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0xab220a34, "_gpl");
SYMBOL_CRC(coresight_trace_id_get_cpu_id, 0x302b06d2, "_gpl");
SYMBOL_CRC(coresight_trace_id_get_cpu_id_map, 0x587b6a8e, "_gpl");
SYMBOL_CRC(coresight_trace_id_put_cpu_id, 0x83c2dfa6, "_gpl");
SYMBOL_CRC(coresight_trace_id_put_cpu_id_map, 0x64b1d310, "_gpl");
SYMBOL_CRC(coresight_trace_id_read_cpu_id, 0xb11dd9d6, "_gpl");
SYMBOL_CRC(coresight_trace_id_read_cpu_id_map, 0x288b7157, "_gpl");
SYMBOL_CRC(coresight_trace_id_get_system_id, 0x62518839, "_gpl");
SYMBOL_CRC(coresight_trace_id_put_system_id, 0xeb3542a2, "_gpl");
SYMBOL_CRC(coresight_trace_id_perf_start, 0x014e5974, "_gpl");
SYMBOL_CRC(coresight_trace_id_perf_stop, 0x3e554d30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1ee07c7, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xbc002942, "try_module_get" },
	{ 0xa1d8a1ac, "is_acpi_device_node" },
	{ 0xefff13a6, "of_fwnode_ops" },
	{ 0xc2f74de7, "config_group_init" },
	{ 0xe392359c, "idr_find" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0xa5f635dd, "of_get_next_parent" },
	{ 0x472e756f, "dev_set_name" },
	{ 0x583f2352, "platform_driver_unregister" },
	{ 0xdb0f7bb2, "configfs_register_group" },
	{ 0x3dc0922a, "amba_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf2ba133a, "perf_aux_output_begin" },
	{ 0xb9ffabdc, "idr_alloc_u32" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7930a181, "sysfs_add_file_to_group" },
	{ 0x70d50126, "device_unregister" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xf37d66d, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x75722e66, "perf_report_aux_output_id" },
	{ 0x72f81799, "processors" },
	{ 0x60f4ea2e, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xd27ad6bd, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6b656865, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xea316dd6, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x29c3cb15, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcca3e748, "put_device" },
	{ 0xe69142e, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xabae0f37, "bus_for_each_dev" },
	{ 0xdc30c8e0, "_dev_info" },
	{ 0x6380d17f, "config_item_set_name" },
	{ 0xce730c0e, "__amba_driver_register" },
	{ 0xcf48eb5b, "module_put" },
	{ 0xdae5632c, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0xb93bb57d, "sysfs_remove_link_from_group" },
	{ 0xae445a86, "perf_pmu_register" },
	{ 0x938915b2, "idr_remove" },
	{ 0xfea83194, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb083ee12, "bus_unregister" },
	{ 0x8d91a039, "devm_kfree" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0x5850b867, "bus_find_device" },
	{ 0x10d04e91, "configfs_register_subsystem" },
	{ 0x6aceec8b, "__of_parse_phandle_with_args" },
	{ 0x87b610cd, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2a97c8c8, "config_group_init_type_name" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x9fc7e902, "perf_pmu_unregister" },
	{ 0xcd1e0e6d, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa9e25001, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x51ce9cf9, "of_graph_get_next_endpoint" },
	{ 0xc244e278, "sysfs_remove_file_from_group" },
	{ 0xafad1982, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1077608e, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x8f73e03, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2eecc2b, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x89af14f, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xfa535ff4, "__platform_driver_register" },
	{ 0x624882de, "devm_kasprintf" },
	{ 0xa0145576, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x851c6200, "fwnode_property_present" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8e3eb432, "__pm_runtime_resume" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x1237608b, "acpi_fetch_acpi_dev" },
	{ 0xc750bd89, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xc3d48328, "amba_bustype" },
	{ 0xe8c6089a, "platform_bus_type" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40e17360, "sysfs_add_link_to_group" },
	{ 0xe973cdef, "perf_get_aux" },
	{ 0xedabb7ea, "devm_krealloc" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf068634e, "of_node_name_eq" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x2f0c7aa6, "perf_aux_output_flag" },
	{ 0xc0bda3e5, "configfs_unregister_group" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x75fea18d, "__pm_runtime_idle" },
	{ 0xa69d2929, "__dev_fwnode" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x8a90bca8, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F43A9940CC75AED95789A81");
MODULE_INFO(rhelversion, "9.7");
