#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x2b6ac20b, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x0c1bd90c, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x885fd178, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xb7645d76, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xe9d8b158, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xd46713c8, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x1bda2b69, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x1986820f, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x324f3f38, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xd56c0b67, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0xe69c06ec, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x0e1f066b, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x0f49636d, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x99851b98, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xc5267484, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xaa110be5, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xb2e1b9f3, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xefe088be, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x733a2cb9, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xbb81e065, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0xcea447ab, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0xcbfe22b4, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x4397fc20, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0xac23a228, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd53d4bfd, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0x10ff149c, "of_property_read_variable_u32_array" },
	{ 0x472e756f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x70d50126, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x7d93ea14, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x3366add1, "of_get_next_available_child" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcca3e748, "put_device" },
	{ 0xc15eeb5, "i2c_del_adapter" },
	{ 0x938915b2, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb083ee12, "bus_unregister" },
	{ 0x8e982078, "down_write" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0x51271f40, "up_write" },
	{ 0x8bf60de0, "device_add" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x79005361, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd55880f, "i2c_new_client_device" },
	{ 0x1077608e, "device_register" },
	{ 0x6fc0b2f, "device_del" },
	{ 0x6bba24b, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xcd9fd00b, "down_read" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x6ab73f15, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xfd05df7b, "of_i2c_get_board_info" },
	{ 0x124f2ba7, "up_read" },
	{ 0x81953219, "driver_register" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x8a90bca8, "bus_register" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2CAED58C89902178FD59920");
MODULE_INFO(rhelversion, "9.7");
