#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x4486810a, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x7b86ca69, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x532ed2a3, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x9330fef7, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xc0a4661c, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x8f16f039, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x27dd6d89, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x33b33e9c, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xeb53def6, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x2fa3bba7, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x9003c31f, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x90fe2459, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x94a5461d, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x1bae88c1, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x9c493e45, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x08c03016, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x8f566e87, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xfe765a89, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xde436bdd, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xa53106c4, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xcb6dd5c9, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0xe48e5c3c, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0xc4c1e38b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6e82ed9, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xa4f8ccee, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd53d4bfd, "__init_rwsem" },
	{ 0xf627d123, "misc_deregister" },
	{ 0x95f0ec84, "iommu_device_claim_dma_owner" },
	{ 0x7ae4f5d0, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3da3d1a4, "iommu_group_get" },
	{ 0x4a080044, "pin_user_pages_remote" },
	{ 0x12983b2, "iommu_iova_to_phys" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xc48efede, "finish_wait" },
	{ 0xe5c24974, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x88c36689, "fget" },
	{ 0x270d9253, "__put_task_struct" },
	{ 0x59006004, "__xas_next" },
	{ 0x826ead9d, "xas_find" },
	{ 0x900b96c2, "iommu_dev_disable_feature" },
	{ 0x87eef9ed, "unpin_user_pages" },
	{ 0xc832ff27, "fd_install" },
	{ 0x11bda1ab, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x410e1fd6, "unpin_user_page_range_dirty_lock" },
	{ 0x8e4c95fe, "__account_locked_vm" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x822a7ad4, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xcacf5aa, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x90707394, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6dde84f5, "iommu_detach_group" },
	{ 0x9ee678cc, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x16e59ee3, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x9598843d, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x5d6968af, "fput" },
	{ 0x8e982078, "down_write" },
	{ 0xb3188cdb, "iommu_domain_free" },
	{ 0x51271f40, "up_write" },
	{ 0xf319635c, "iommu_get_msi_cookie" },
	{ 0xe8594373, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x652852b4, "iommu_unmap" },
	{ 0x5f0c7d1f, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x87f6cbde, "xas_load" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xfd428a9e, "iommu_attach_handle_get" },
	{ 0x972f7044, "iommu_replace_group_handle" },
	{ 0x9c89601a, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f73e03, "_dev_warn" },
	{ 0x50f83f2a, "misc_register" },
	{ 0xcb05611d, "unpin_user_page" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x12c57cac, "iommu_put_resv_regions" },
	{ 0xcd9fd00b, "down_read" },
	{ 0x7690b6b3, "__mmdrop" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x405b6c10, "__xa_cmpxchg" },
	{ 0x30e4984e, "nonseekable_open" },
	{ 0xbb995ae6, "xa_erase" },
	{ 0x6d3bd34e, "__mmap_lock_do_trace_start_locking" },
	{ 0x6ba15358, "iommu_get_resv_regions" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7b03e4df, "mmput" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xe129c77d, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1c5d8e0c, "xa_destroy" },
	{ 0x7b0464bb, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0xb6a9a8aa, "__mmap_lock_do_trace_released" },
	{ 0xed6ac11a, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8c77db37, "set_page_dirty_lock" },
	{ 0x6980e679, "device_iommu_capable" },
	{ 0x4ad57a24, "xas_nomem" },
	{ 0xebdc96a3, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x90e3bb7c, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x69368785, "iommu_attach_group_handle" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xe6616058, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x3b944195, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x124f2ba7, "up_read" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdb5eee73, "pci_bus_type" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D416640E735BA99285DAB9");
MODULE_INFO(rhelversion, "9.7");
