#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x3072e381, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xa2c8ee88, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xa5c9248a, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0xc5dcda8c, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x8d3fadc4, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xe876d2f7, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xc52cdbca, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0xc028b1a9, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x00e9781c, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xcd0248a5, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xb2916ffb, "_gpl");
SYMBOL_CRC(nand_readid_op, 0xf6dbe2d2, "_gpl");
SYMBOL_CRC(nand_status_op, 0x58a1f85a, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xf170165e, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x571f9a59, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xddf39175, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x813f18ce, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xa08f4605, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xfd96ffdc, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0xf358263c, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xae36519e, "");
SYMBOL_CRC(nand_read_oob_std, 0x1052ca6b, "");
SYMBOL_CRC(nand_write_oob_std, 0xf735e11f, "");
SYMBOL_CRC(nand_write_page_raw, 0x3a314970, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0xe347a81d, "");
SYMBOL_CRC(nand_decode_ext_id, 0x05ed4e07, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x3ed2ec6a, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xf1ddabf5, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x1cc5cedd, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x3365e12b, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x9365e937, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x1025cb6e, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x1f9b722f, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x683f260d, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xd4ea7225, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x72e0ed0b, "");
SYMBOL_CRC(nand_cleanup, 0x7b122272, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x97ae3838, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x12d359e3, "");
SYMBOL_CRC(nand_create_bbt, 0x5e24a78d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67826943, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb724a5d1, "mtd_read_oob" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0x10ff149c, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x116388f0, "gpiod_count" },
	{ 0xe8191339, "nanddev_cleanup" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x5170a3c2, "nand_get_large_page_hamming_ooblayout" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc8b2f1b8, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7a2ebc4, "gpiod_get_index_optional" },
	{ 0x1ec4525f, "nanddev_init" },
	{ 0x9ba4a1dd, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xfb89c9ae, "nand_ecc_is_strong_enough" },
	{ 0x7b6f51b9, "mtd_write_oob" },
	{ 0x161b7b65, "nand_get_small_page_ooblayout" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x43369bf, "of_get_nand_ecc_user_config" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb16a5288, "of_property_count_elems_of_size" },
	{ 0x63c1fd5f, "of_property_read_string" },
	{ 0xcd1e0e6d, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x33e7b612, "mtd_read" },
	{ 0xa21b2cee, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xdcb764ad, "memset" },
	{ 0x3332f79a, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7e0751a8, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x999e8297, "vfree" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb1c887a9, "mtd_ooblayout_find_eccregion" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2eb99bb5, "mtd_ooblayout_get_databytes" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x6040aa9d, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc373391a, "nanddev_mtd_max_bad_blocks" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0A7D5DDC1D5C2D35DE0E6E4");
MODULE_INFO(rhelversion, "9.7");
