#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x3a60ad67, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x7e715f3c, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xd5ac2eaf, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xaf2876a9, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x60fae6f4, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x08f37026, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xf1a70b26, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x63ed2e31, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xc1483dc0, "_gpl");
SYMBOL_CRC(can_bus_off, 0x63022be2, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x2baab018, "_gpl");
SYMBOL_CRC(free_candev, 0x0b77aef9, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x2d64ef64, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xfe433b76, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x3f5ee0da, "");
SYMBOL_CRC(open_candev, 0x3acc81bf, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0xe0cb81c5, "_gpl");
SYMBOL_CRC(close_candev, 0x434d0df3, "_gpl");
SYMBOL_CRC(register_candev, 0x26949f1b, "_gpl");
SYMBOL_CRC(unregister_candev, 0x82db9fc3, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x042fe18a, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x9cdb6d01, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4963fc27, "skb_put" },
	{ 0x64e363a5, "gpiod_set_value" },
	{ 0xb367dc7c, "skb_tstamp_tx" },
	{ 0x10ff149c, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabc48046, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5e272742, "unregister_netdev" },
	{ 0xfe35ab9c, "rtnl_link_register" },
	{ 0xe227c9aa, "netdev_warn" },
	{ 0xbdee3f90, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x904fda0f, "netdev_err" },
	{ 0x1afb45cc, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9c0dafa7, "device_property_read_u32_array" },
	{ 0xfea83194, "of_get_child_by_name" },
	{ 0x11f884a, "rtnl_link_unregister" },
	{ 0xebaf08c0, "sk_skb_reason_drop" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x8effb6f5, "register_netdev" },
	{ 0x294c5b99, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0x929860a2, "sock_efree" },
	{ 0x5a21b0e9, "netif_rx" },
	{ 0x62acf812, "__netdev_alloc_skb" },
	{ 0x88797bab, "skb_trim" },
	{ 0x73c31c30, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbeeb7036, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x31b3d301, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb24b1f71, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9a1b2205, "dev_err_probe" },
	{ 0xad83a312, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x307a88c4, "skb_clone_tx_timestamp" },
	{ 0x8c7de9f5, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.7");
