#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x62142cb8, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x70241ba6, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xe393d617, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xecd140cf, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xbd424bbe, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x68dd9b1d, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x6f1c588f, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x7f9c0873, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x7bb220d0, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xe09496d3, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x33be7f4b, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xa97feddd, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x334faf3d, "_gpl");
SYMBOL_CRC(usbnet_open, 0x950b978e, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x1445b4fd, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x9fb18907, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x085d98cf, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x9a09992d, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x490ed051, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x078a7e9f, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x92c767d0, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x7bd101dd, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x5aaf0793, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x04ecbebf, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x5c806fd4, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xafc6304d, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x302e431c, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xf3cd2dba, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x9044c637, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xd235595a, "");
SYMBOL_CRC(usbnet_manage_power, 0xe4d8a2ce, "");
SYMBOL_CRC(usbnet_link_change, 0xe92d067a, "");
SYMBOL_CRC(usbnet_read_cmd, 0x0ffb5f63, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xd6cad36a, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x71a0d953, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x006fce15, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x1befd9af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdaa5e0e, "usb_set_interface" },
	{ 0x7b901758, "usb_string" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x73c31c30, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1d71487f, "skb_queue_purge_reason" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xbda27106, "usb_get_urb" },
	{ 0xef9b2a27, "usb_unlink_urb" },
	{ 0x670f9b1c, "usb_free_urb" },
	{ 0x476c47ba, "usb_submit_urb" },
	{ 0x904fda0f, "netdev_err" },
	{ 0x9a0e31d9, "mii_ethtool_get_link_ksettings" },
	{ 0xd4792bdb, "mii_ethtool_set_link_ksettings" },
	{ 0x6711159f, "mii_nway_restart" },
	{ 0x88d8da3b, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x5e272742, "unregister_netdev" },
	{ 0xcec8d511, "usb_scuttle_anchored_urbs" },
	{ 0x83676e85, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x294c5b99, "free_netdev" },
	{ 0x8c7de9f5, "netdev_info" },
	{ 0xb24b1f71, "netif_carrier_on" },
	{ 0xbeeb7036, "netif_carrier_off" },
	{ 0x94cba044, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3e8eb350, "usb_autopm_get_interface" },
	{ 0xcab7708a, "usb_autopm_put_interface" },
	{ 0x669f5bab, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xcc2a32f9, "mii_link_ok" },
	{ 0x2e58093d, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x62664591, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7bf820c9, "remove_wait_queue" },
	{ 0x931dd197, "netif_device_detach" },
	{ 0x3d82e063, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7705d651, "skb_defer_rx_timestamp" },
	{ 0x5a21b0e9, "netif_rx" },
	{ 0xd3d3d335, "eth_type_trans" },
	{ 0x5e255bca, "skb_queue_tail" },
	{ 0x8c7ecad, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x8effb6f5, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x775527a8, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x62166101, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x307a88c4, "skb_clone_tx_timestamp" },
	{ 0xaa261b5e, "usb_autopm_get_interface_async" },
	{ 0xad83a312, "dev_kfree_skb_any_reason" },
	{ 0xb367dc7c, "skb_tstamp_tx" },
	{ 0xfa0fb538, "usb_anchor_urb" },
	{ 0x62acf812, "__netdev_alloc_skb" },
	{ 0xabc48046, "consume_skb" },
	{ 0x740ab711, "netif_tx_wake_queue" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0xe094145c, "usb_autopm_get_interface_no_resume" },
	{ 0xb8462ab9, "usb_get_from_anchor" },
	{ 0x4963fc27, "skb_put" },
	{ 0x6e014602, "usb_clear_halt" },
	{ 0x92c63650, "eth_mac_addr" },
	{ 0xfcec8d82, "eth_validate_addr" },
	{ 0x707dea31, "dev_get_tstats64" },
	{ 0xbc647090, "ethtool_op_get_ts_info" },
	{ 0x28aa3e5a, "param_ops_int" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.7");
