#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0x033190e2, "");
SYMBOL_CRC(geni_se_init, 0x2406b567, "");
SYMBOL_CRC(geni_se_select_mode, 0x4a225996, "");
SYMBOL_CRC(geni_se_config_packing, 0x03225018, "");
SYMBOL_CRC(geni_se_resources_off, 0xba4a05b5, "");
SYMBOL_CRC(geni_se_resources_on, 0xe4cb1e3a, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x705771c9, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0x68fa56dc, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0xf08cc19c, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0xf883992f, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0x1158c6c9, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0x1527c6fa, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0x43b6ef38, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0x1a1e325e, "");
SYMBOL_CRC(geni_icc_get, 0xbfe2f170, "");
SYMBOL_CRC(geni_icc_set_bw, 0x7bccc1db, "");
SYMBOL_CRC(geni_icc_set_tag, 0xcb6a3b23, "");
SYMBOL_CRC(geni_icc_enable, 0xf7ba65de, "");
SYMBOL_CRC(geni_icc_disable, 0x29dcd413, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac554591, "dma_unmap_page_attrs" },
	{ 0xa1d8a1ac, "is_acpi_device_node" },
	{ 0x54fb6d27, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0x255ab020, "icc_set_bw" },
	{ 0x98d82284, "icc_set_tag" },
	{ 0x65486ac2, "icc_enable" },
	{ 0xd1440cb0, "icc_disable" },
	{ 0xfa535ff4, "__platform_driver_register" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0x39109b72, "devm_platform_ioremap_resource" },
	{ 0xaeabcbf1, "devm_of_platform_populate" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0xc9eaaf28, "device_get_match_data" },
	{ 0xe66da66f, "of_count_phandle_with_args" },
	{ 0x2bc2ad17, "devm_clk_bulk_get" },
	{ 0x583f2352, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9cb03a, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4fb1b102, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3759bd32, "dma_map_page_attrs" },
	{ 0x50bc4891, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "6BEB0E519200071345C77E9");
MODULE_INFO(rhelversion, "9.7");
